/**
 * Intrinio API
 * Welcome to the Intrinio API! Through our Financial Data Marketplace, we offer a wide selection of financial data feed APIs sourced by our own proprietary processes as well as from many data vendors. For a complete API request / response reference please view the [Intrinio API documentation](https://docs.intrinio.com/documentation/api_v2). If you need additional help in using the API, please visit the [Intrinio website](https://intrinio.com) and click on the chat icon in the lower right corner.
 *
 * OpenAPI spec version: 2.25.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: unset
 *
 * Do not edit the class manually.
 *
 */

(function(factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/AccumulationDistributionIndexTechnicalValue', 'model/ApiResponseBulkDownloadLinks', 'model/ApiResponseCompanies', 'model/ApiResponseCompaniesSearch', 'model/ApiResponseCompanyAnswers', 'model/ApiResponseCompanyFilings', 'model/ApiResponseCompanyFundamentals', 'model/ApiResponseCompanyHistoricalData', 'model/ApiResponseCompanyInsiderTransactionFilings', 'model/ApiResponseCompanyNews', 'model/ApiResponseCompanyRecognize', 'model/ApiResponseCompanySecurities', 'model/ApiResponseCompanySharesOutstanding', 'model/ApiResponseDataTags', 'model/ApiResponseDataTagsSearch', 'model/ApiResponseETFHoldings', 'model/ApiResponseETFs', 'model/ApiResponseEconomicIndexHistoricalData', 'model/ApiResponseEconomicIndices', 'model/ApiResponseEconomicIndicesSearch', 'model/ApiResponseFilingAnswers', 'model/ApiResponseFilingFundamentals', 'model/ApiResponseFilingNotes', 'model/ApiResponseFilingNotesSearch', 'model/ApiResponseFilings', 'model/ApiResponseForexCurrencies', 'model/ApiResponseForexPairs', 'model/ApiResponseForexPrices', 'model/ApiResponseHistoricalData', 'model/ApiResponseInitialPublicOfferings', 'model/ApiResponseInsiderTransactionFilings', 'model/ApiResponseMunicipalities', 'model/ApiResponseMunicipalitiyFinancials', 'model/ApiResponseNews', 'model/ApiResponseOptionPrices', 'model/ApiResponseOptions', 'model/ApiResponseOptionsChain', 'model/ApiResponseOptionsChainRealtime', 'model/ApiResponseOptionsExpirations', 'model/ApiResponseOptionsPriceRealtime', 'model/ApiResponseOptionsPricesBatchRealtime', 'model/ApiResponseOptionsRealtime', 'model/ApiResponseOptionsStatsRealtime', 'model/ApiResponseOptionsTickers', 'model/ApiResponseOptionsUnusualActivity', 'model/ApiResponseOwnerInsiderTransactionFilings', 'model/ApiResponseOwnerInstitutionalHoldings', 'model/ApiResponseOwners', 'model/ApiResponseReportedFinancials', 'model/ApiResponseSICIndexHistoricalData', 'model/ApiResponseSICIndices', 'model/ApiResponseSICIndicesSearch', 'model/ApiResponseSecurities', 'model/ApiResponseSecuritiesSearch', 'model/ApiResponseSecurityAccumulationDistributionIndex', 'model/ApiResponseSecurityAverageDailyTradingVolume', 'model/ApiResponseSecurityAverageDirectionalIndex', 'model/ApiResponseSecurityAverageTrueRange', 'model/ApiResponseSecurityAwesomeOscillator', 'model/ApiResponseSecurityBollingerBands', 'model/ApiResponseSecurityChaikinMoneyFlow', 'model/ApiResponseSecurityCommodityChannelIndex', 'model/ApiResponseSecurityDetrendedPriceOscillator', 'model/ApiResponseSecurityDonchianChannel', 'model/ApiResponseSecurityEaseOfMovement', 'model/ApiResponseSecurityForceIndex', 'model/ApiResponseSecurityHistoricalData', 'model/ApiResponseSecurityIchimokuKinkoHyo', 'model/ApiResponseSecurityInstitutionalOwnership', 'model/ApiResponseSecurityIntervalPrices', 'model/ApiResponseSecurityIntradayPrices', 'model/ApiResponseSecurityKeltnerChannel', 'model/ApiResponseSecurityKnowSureThing', 'model/ApiResponseSecurityMassIndex', 'model/ApiResponseSecurityMoneyFlowIndex', 'model/ApiResponseSecurityMovingAverageConvergenceDivergence', 'model/ApiResponseSecurityNegativeVolumeIndex', 'model/ApiResponseSecurityOnBalanceVolume', 'model/ApiResponseSecurityOnBalanceVolumeMean', 'model/ApiResponseSecurityRelativeStrengthIndex', 'model/ApiResponseSecuritySimpleMovingAverage', 'model/ApiResponseSecurityStochasticOscillator', 'model/ApiResponseSecurityStockPriceAdjustments', 'model/ApiResponseSecurityStockPrices', 'model/ApiResponseSecurityTripleExponentialAverage', 'model/ApiResponseSecurityTrueStrengthIndex', 'model/ApiResponseSecurityUltimateOscillator', 'model/ApiResponseSecurityVolumePriceTrend', 'model/ApiResponseSecurityVolumeWeightedAveragePrice', 'model/ApiResponseSecurityVortexIndicator', 'model/ApiResponseSecurityWilliamsR', 'model/ApiResponseSecurityZacksAnalystRatings', 'model/ApiResponseSecurityZacksAnalystRatingsSnapshot', 'model/ApiResponseSecurityZacksEPSSurprises', 'model/ApiResponseSecurityZacksSalesSurprises', 'model/ApiResponseStandardizedFinancials', 'model/ApiResponseStockExchangeRealtimeStockPrices', 'model/ApiResponseStockExchangeSecurities', 'model/ApiResponseStockExchangeStockPriceAdjustments', 'model/ApiResponseStockExchangeStockPrices', 'model/ApiResponseStockExchanges', 'model/ApiResponseStockMarketIndexHistoricalData', 'model/ApiResponseStockMarketIndices', 'model/ApiResponseStockMarketIndicesSearch', 'model/ApiResponseZacksAnalystRatings', 'model/ApiResponseZacksEPSEstimates', 'model/ApiResponseZacksEPSGrowthRates', 'model/ApiResponseZacksEPSSurprises', 'model/ApiResponseZacksETFHoldings', 'model/ApiResponseZacksInstitutionalHoldingCompanies', 'model/ApiResponseZacksInstitutionalHoldingOwners', 'model/ApiResponseZacksInstitutionalHoldings', 'model/ApiResponseZacksLongTermGrowthRates', 'model/ApiResponseZacksSalesSurprises', 'model/ApiResponseZacksTargetPriceConsensuses', 'model/AverageDailyTradingVolumeTechnicalValue', 'model/AverageDirectionalIndexTechnicalValue', 'model/AverageTrueRangeTechnicalValue', 'model/AwesomeOscillatorTechnicalValue', 'model/BollingerBandsTechnicalValue', 'model/BulkDownloadLinks', 'model/BulkDownloadSummary', 'model/ChaikinMoneyFlowTechnicalValue', 'model/CommodityChannelIndexTechnicalValue', 'model/Company', 'model/CompanyFiling', 'model/CompanyInitialPublicOffering', 'model/CompanyNews', 'model/CompanyNewsSummary', 'model/CompanySharesOutstanding', 'model/CompanySummary', 'model/DataTag', 'model/DataTagSummary', 'model/DetrendedPriceOscillatorTechnicalValue', 'model/DividendRecord', 'model/DonchianChannelTechnicalValue', 'model/ETF', 'model/ETFAnalytics', 'model/ETFHolding', 'model/ETFStats', 'model/ETFSummary', 'model/EarningsRecord', 'model/EaseOfMovementTechnicalValue', 'model/EconomicIndex', 'model/EconomicIndexSummary', 'model/Filing', 'model/FilingNote', 'model/FilingNoteFiling', 'model/FilingNoteSummary', 'model/FilingSummary', 'model/ForceIndexTechnicalValue', 'model/ForexCurrency', 'model/ForexPair', 'model/ForexPrice', 'model/Fundamental', 'model/FundamentalSummary', 'model/HistoricalData', 'model/IchimokuKinkoHyoTechnicalValue', 'model/InsiderTransaction', 'model/InsiderTransactionFiling', 'model/InstitutionalHolding', 'model/InstitutionalOwnership', 'model/IntradayStockPrice', 'model/KeltnerChannelTechnicalValue', 'model/KnowSureThingTechnicalValue', 'model/MassIndexTechnicalValue', 'model/MoneyFlowIndexTechnicalValue', 'model/MovingAverageConvergenceDivergenceTechnicalValue', 'model/Municipality', 'model/MunicipalityFinancial', 'model/NegativeVolumeIndexTechnicalValue', 'model/OnBalanceVolumeMeanTechnicalValue', 'model/OnBalanceVolumeTechnicalValue', 'model/Option', 'model/OptionChain', 'model/OptionChainRealtime', 'model/OptionContractsList', 'model/OptionFactorsRealtime', 'model/OptionPrice', 'model/OptionPriceBatchRealtime', 'model/OptionPriceRealtime', 'model/OptionRealtime', 'model/OptionStatsRealtime', 'model/OptionUnusualTrade', 'model/Owner', 'model/OwnerSummary', 'model/RealtimeStockPrice', 'model/RealtimeStockPriceSecurity', 'model/RelativeStrengthIndexTechnicalValue', 'model/ReportedFinancial', 'model/ReportedFinancialDimension', 'model/ReportedTag', 'model/SICIndex', 'model/Security', 'model/SecurityScreenClause', 'model/SecurityScreenGroup', 'model/SecurityScreenResult', 'model/SecurityScreenResultData', 'model/SecuritySummary', 'model/SimpleMovingAverageTechnicalValue', 'model/StandardizedFinancial', 'model/StochasticOscillatorTechnicalValue', 'model/StockExchange', 'model/StockMarketIndex', 'model/StockMarketIndexSummary', 'model/StockPrice', 'model/StockPriceAdjustment', 'model/StockPriceAdjustmentSummary', 'model/StockPriceInterval', 'model/StockPriceSummary', 'model/TechnicalIndicator', 'model/TheaEntityAnswer', 'model/TheaSourceDocument', 'model/TripleExponentialAverageTechnicalValue', 'model/TrueStrengthIndexTechnicalValue', 'model/UltimateOscillatorTechnicalValue', 'model/VolumePriceTrendTechnicalValue', 'model/VolumeWeightedAveragePriceValue', 'model/VortexIndicatorTechnicalValue', 'model/WilliamsRTechnicalValue', 'model/ZacksAnalystRating', 'model/ZacksAnalystRatingSnapshot', 'model/ZacksAnalystRatingSummary', 'model/ZacksEPSEstimate', 'model/ZacksEPSGrowthRate', 'model/ZacksEPSSurprise', 'model/ZacksEPSSurpriseSummary', 'model/ZacksETFHolding', 'model/ZacksInstitutionalHolding', 'model/ZacksInstitutionalHoldingCompanyDetail', 'model/ZacksInstitutionalHoldingCompanySummary', 'model/ZacksInstitutionalHoldingHistoricalSummary', 'model/ZacksInstitutionalHoldingOwnerDetail', 'model/ZacksInstitutionalHoldingOwnerSummary', 'model/ZacksLongTermGrowthRate', 'model/ZacksSalesSurprise', 'model/ZacksSalesSurpriseSummary', 'model/ZacksTargetPriceConsensus', 'api/BulkDownloadsApi', 'api/CompanyApi', 'api/DataPointApi', 'api/DataTagApi', 'api/ETFsApi', 'api/FilingApi', 'api/ForexApi', 'api/FundamentalsApi', 'api/HistoricalDataApi', 'api/IndexApi', 'api/InsiderTransactionFilingsApi', 'api/MunicipalityApi', 'api/OptionsApi', 'api/OwnersApi', 'api/SecurityApi', 'api/StockExchangeApi', 'api/TechnicalApi', 'api/ZacksApi'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('./ApiClient'), require('./model/AccumulationDistributionIndexTechnicalValue'), require('./model/ApiResponseBulkDownloadLinks'), require('./model/ApiResponseCompanies'), require('./model/ApiResponseCompaniesSearch'), require('./model/ApiResponseCompanyAnswers'), require('./model/ApiResponseCompanyFilings'), require('./model/ApiResponseCompanyFundamentals'), require('./model/ApiResponseCompanyHistoricalData'), require('./model/ApiResponseCompanyInsiderTransactionFilings'), require('./model/ApiResponseCompanyNews'), require('./model/ApiResponseCompanyRecognize'), require('./model/ApiResponseCompanySecurities'), require('./model/ApiResponseCompanySharesOutstanding'), require('./model/ApiResponseDataTags'), require('./model/ApiResponseDataTagsSearch'), require('./model/ApiResponseETFHoldings'), require('./model/ApiResponseETFs'), require('./model/ApiResponseEconomicIndexHistoricalData'), require('./model/ApiResponseEconomicIndices'), require('./model/ApiResponseEconomicIndicesSearch'), require('./model/ApiResponseFilingAnswers'), require('./model/ApiResponseFilingFundamentals'), require('./model/ApiResponseFilingNotes'), require('./model/ApiResponseFilingNotesSearch'), require('./model/ApiResponseFilings'), require('./model/ApiResponseForexCurrencies'), require('./model/ApiResponseForexPairs'), require('./model/ApiResponseForexPrices'), require('./model/ApiResponseHistoricalData'), require('./model/ApiResponseInitialPublicOfferings'), require('./model/ApiResponseInsiderTransactionFilings'), require('./model/ApiResponseMunicipalities'), require('./model/ApiResponseMunicipalitiyFinancials'), require('./model/ApiResponseNews'), require('./model/ApiResponseOptionPrices'), require('./model/ApiResponseOptions'), require('./model/ApiResponseOptionsChain'), require('./model/ApiResponseOptionsChainRealtime'), require('./model/ApiResponseOptionsExpirations'), require('./model/ApiResponseOptionsPriceRealtime'), require('./model/ApiResponseOptionsPricesBatchRealtime'), require('./model/ApiResponseOptionsRealtime'), require('./model/ApiResponseOptionsStatsRealtime'), require('./model/ApiResponseOptionsTickers'), require('./model/ApiResponseOptionsUnusualActivity'), require('./model/ApiResponseOwnerInsiderTransactionFilings'), require('./model/ApiResponseOwnerInstitutionalHoldings'), require('./model/ApiResponseOwners'), require('./model/ApiResponseReportedFinancials'), require('./model/ApiResponseSICIndexHistoricalData'), require('./model/ApiResponseSICIndices'), require('./model/ApiResponseSICIndicesSearch'), require('./model/ApiResponseSecurities'), require('./model/ApiResponseSecuritiesSearch'), require('./model/ApiResponseSecurityAccumulationDistributionIndex'), require('./model/ApiResponseSecurityAverageDailyTradingVolume'), require('./model/ApiResponseSecurityAverageDirectionalIndex'), require('./model/ApiResponseSecurityAverageTrueRange'), require('./model/ApiResponseSecurityAwesomeOscillator'), require('./model/ApiResponseSecurityBollingerBands'), require('./model/ApiResponseSecurityChaikinMoneyFlow'), require('./model/ApiResponseSecurityCommodityChannelIndex'), require('./model/ApiResponseSecurityDetrendedPriceOscillator'), require('./model/ApiResponseSecurityDonchianChannel'), require('./model/ApiResponseSecurityEaseOfMovement'), require('./model/ApiResponseSecurityForceIndex'), require('./model/ApiResponseSecurityHistoricalData'), require('./model/ApiResponseSecurityIchimokuKinkoHyo'), require('./model/ApiResponseSecurityInstitutionalOwnership'), require('./model/ApiResponseSecurityIntervalPrices'), require('./model/ApiResponseSecurityIntradayPrices'), require('./model/ApiResponseSecurityKeltnerChannel'), require('./model/ApiResponseSecurityKnowSureThing'), require('./model/ApiResponseSecurityMassIndex'), require('./model/ApiResponseSecurityMoneyFlowIndex'), require('./model/ApiResponseSecurityMovingAverageConvergenceDivergence'), require('./model/ApiResponseSecurityNegativeVolumeIndex'), require('./model/ApiResponseSecurityOnBalanceVolume'), require('./model/ApiResponseSecurityOnBalanceVolumeMean'), require('./model/ApiResponseSecurityRelativeStrengthIndex'), require('./model/ApiResponseSecuritySimpleMovingAverage'), require('./model/ApiResponseSecurityStochasticOscillator'), require('./model/ApiResponseSecurityStockPriceAdjustments'), require('./model/ApiResponseSecurityStockPrices'), require('./model/ApiResponseSecurityTripleExponentialAverage'), require('./model/ApiResponseSecurityTrueStrengthIndex'), require('./model/ApiResponseSecurityUltimateOscillator'), require('./model/ApiResponseSecurityVolumePriceTrend'), require('./model/ApiResponseSecurityVolumeWeightedAveragePrice'), require('./model/ApiResponseSecurityVortexIndicator'), require('./model/ApiResponseSecurityWilliamsR'), require('./model/ApiResponseSecurityZacksAnalystRatings'), require('./model/ApiResponseSecurityZacksAnalystRatingsSnapshot'), require('./model/ApiResponseSecurityZacksEPSSurprises'), require('./model/ApiResponseSecurityZacksSalesSurprises'), require('./model/ApiResponseStandardizedFinancials'), require('./model/ApiResponseStockExchangeRealtimeStockPrices'), require('./model/ApiResponseStockExchangeSecurities'), require('./model/ApiResponseStockExchangeStockPriceAdjustments'), require('./model/ApiResponseStockExchangeStockPrices'), require('./model/ApiResponseStockExchanges'), require('./model/ApiResponseStockMarketIndexHistoricalData'), require('./model/ApiResponseStockMarketIndices'), require('./model/ApiResponseStockMarketIndicesSearch'), require('./model/ApiResponseZacksAnalystRatings'), require('./model/ApiResponseZacksEPSEstimates'), require('./model/ApiResponseZacksEPSGrowthRates'), require('./model/ApiResponseZacksEPSSurprises'), require('./model/ApiResponseZacksETFHoldings'), require('./model/ApiResponseZacksInstitutionalHoldingCompanies'), require('./model/ApiResponseZacksInstitutionalHoldingOwners'), require('./model/ApiResponseZacksInstitutionalHoldings'), require('./model/ApiResponseZacksLongTermGrowthRates'), require('./model/ApiResponseZacksSalesSurprises'), require('./model/ApiResponseZacksTargetPriceConsensuses'), require('./model/AverageDailyTradingVolumeTechnicalValue'), require('./model/AverageDirectionalIndexTechnicalValue'), require('./model/AverageTrueRangeTechnicalValue'), require('./model/AwesomeOscillatorTechnicalValue'), require('./model/BollingerBandsTechnicalValue'), require('./model/BulkDownloadLinks'), require('./model/BulkDownloadSummary'), require('./model/ChaikinMoneyFlowTechnicalValue'), require('./model/CommodityChannelIndexTechnicalValue'), require('./model/Company'), require('./model/CompanyFiling'), require('./model/CompanyInitialPublicOffering'), require('./model/CompanyNews'), require('./model/CompanyNewsSummary'), require('./model/CompanySharesOutstanding'), require('./model/CompanySummary'), require('./model/DataTag'), require('./model/DataTagSummary'), require('./model/DetrendedPriceOscillatorTechnicalValue'), require('./model/DividendRecord'), require('./model/DonchianChannelTechnicalValue'), require('./model/ETF'), require('./model/ETFAnalytics'), require('./model/ETFHolding'), require('./model/ETFStats'), require('./model/ETFSummary'), require('./model/EarningsRecord'), require('./model/EaseOfMovementTechnicalValue'), require('./model/EconomicIndex'), require('./model/EconomicIndexSummary'), require('./model/Filing'), require('./model/FilingNote'), require('./model/FilingNoteFiling'), require('./model/FilingNoteSummary'), require('./model/FilingSummary'), require('./model/ForceIndexTechnicalValue'), require('./model/ForexCurrency'), require('./model/ForexPair'), require('./model/ForexPrice'), require('./model/Fundamental'), require('./model/FundamentalSummary'), require('./model/HistoricalData'), require('./model/IchimokuKinkoHyoTechnicalValue'), require('./model/InsiderTransaction'), require('./model/InsiderTransactionFiling'), require('./model/InstitutionalHolding'), require('./model/InstitutionalOwnership'), require('./model/IntradayStockPrice'), require('./model/KeltnerChannelTechnicalValue'), require('./model/KnowSureThingTechnicalValue'), require('./model/MassIndexTechnicalValue'), require('./model/MoneyFlowIndexTechnicalValue'), require('./model/MovingAverageConvergenceDivergenceTechnicalValue'), require('./model/Municipality'), require('./model/MunicipalityFinancial'), require('./model/NegativeVolumeIndexTechnicalValue'), require('./model/OnBalanceVolumeMeanTechnicalValue'), require('./model/OnBalanceVolumeTechnicalValue'), require('./model/Option'), require('./model/OptionChain'), require('./model/OptionChainRealtime'), require('./model/OptionContractsList'), require('./model/OptionFactorsRealtime'), require('./model/OptionPrice'), require('./model/OptionPriceBatchRealtime'), require('./model/OptionPriceRealtime'), require('./model/OptionRealtime'), require('./model/OptionStatsRealtime'), require('./model/OptionUnusualTrade'), require('./model/Owner'), require('./model/OwnerSummary'), require('./model/RealtimeStockPrice'), require('./model/RealtimeStockPriceSecurity'), require('./model/RelativeStrengthIndexTechnicalValue'), require('./model/ReportedFinancial'), require('./model/ReportedFinancialDimension'), require('./model/ReportedTag'), require('./model/SICIndex'), require('./model/Security'), require('./model/SecurityScreenClause'), require('./model/SecurityScreenGroup'), require('./model/SecurityScreenResult'), require('./model/SecurityScreenResultData'), require('./model/SecuritySummary'), require('./model/SimpleMovingAverageTechnicalValue'), require('./model/StandardizedFinancial'), require('./model/StochasticOscillatorTechnicalValue'), require('./model/StockExchange'), require('./model/StockMarketIndex'), require('./model/StockMarketIndexSummary'), require('./model/StockPrice'), require('./model/StockPriceAdjustment'), require('./model/StockPriceAdjustmentSummary'), require('./model/StockPriceInterval'), require('./model/StockPriceSummary'), require('./model/TechnicalIndicator'), require('./model/TheaEntityAnswer'), require('./model/TheaSourceDocument'), require('./model/TripleExponentialAverageTechnicalValue'), require('./model/TrueStrengthIndexTechnicalValue'), require('./model/UltimateOscillatorTechnicalValue'), require('./model/VolumePriceTrendTechnicalValue'), require('./model/VolumeWeightedAveragePriceValue'), require('./model/VortexIndicatorTechnicalValue'), require('./model/WilliamsRTechnicalValue'), require('./model/ZacksAnalystRating'), require('./model/ZacksAnalystRatingSnapshot'), require('./model/ZacksAnalystRatingSummary'), require('./model/ZacksEPSEstimate'), require('./model/ZacksEPSGrowthRate'), require('./model/ZacksEPSSurprise'), require('./model/ZacksEPSSurpriseSummary'), require('./model/ZacksETFHolding'), require('./model/ZacksInstitutionalHolding'), require('./model/ZacksInstitutionalHoldingCompanyDetail'), require('./model/ZacksInstitutionalHoldingCompanySummary'), require('./model/ZacksInstitutionalHoldingHistoricalSummary'), require('./model/ZacksInstitutionalHoldingOwnerDetail'), require('./model/ZacksInstitutionalHoldingOwnerSummary'), require('./model/ZacksLongTermGrowthRate'), require('./model/ZacksSalesSurprise'), require('./model/ZacksSalesSurpriseSummary'), require('./model/ZacksTargetPriceConsensus'), require('./api/BulkDownloadsApi'), require('./api/CompanyApi'), require('./api/DataPointApi'), require('./api/DataTagApi'), require('./api/ETFsApi'), require('./api/FilingApi'), require('./api/ForexApi'), require('./api/FundamentalsApi'), require('./api/HistoricalDataApi'), require('./api/IndexApi'), require('./api/InsiderTransactionFilingsApi'), require('./api/MunicipalityApi'), require('./api/OptionsApi'), require('./api/OwnersApi'), require('./api/SecurityApi'), require('./api/StockExchangeApi'), require('./api/TechnicalApi'), require('./api/ZacksApi'));
  }
}(function(ApiClient, AccumulationDistributionIndexTechnicalValue, ApiResponseBulkDownloadLinks, ApiResponseCompanies, ApiResponseCompaniesSearch, ApiResponseCompanyAnswers, ApiResponseCompanyFilings, ApiResponseCompanyFundamentals, ApiResponseCompanyHistoricalData, ApiResponseCompanyInsiderTransactionFilings, ApiResponseCompanyNews, ApiResponseCompanyRecognize, ApiResponseCompanySecurities, ApiResponseCompanySharesOutstanding, ApiResponseDataTags, ApiResponseDataTagsSearch, ApiResponseETFHoldings, ApiResponseETFs, ApiResponseEconomicIndexHistoricalData, ApiResponseEconomicIndices, ApiResponseEconomicIndicesSearch, ApiResponseFilingAnswers, ApiResponseFilingFundamentals, ApiResponseFilingNotes, ApiResponseFilingNotesSearch, ApiResponseFilings, ApiResponseForexCurrencies, ApiResponseForexPairs, ApiResponseForexPrices, ApiResponseHistoricalData, ApiResponseInitialPublicOfferings, ApiResponseInsiderTransactionFilings, ApiResponseMunicipalities, ApiResponseMunicipalitiyFinancials, ApiResponseNews, ApiResponseOptionPrices, ApiResponseOptions, ApiResponseOptionsChain, ApiResponseOptionsChainRealtime, ApiResponseOptionsExpirations, ApiResponseOptionsPriceRealtime, ApiResponseOptionsPricesBatchRealtime, ApiResponseOptionsRealtime, ApiResponseOptionsStatsRealtime, ApiResponseOptionsTickers, ApiResponseOptionsUnusualActivity, ApiResponseOwnerInsiderTransactionFilings, ApiResponseOwnerInstitutionalHoldings, ApiResponseOwners, ApiResponseReportedFinancials, ApiResponseSICIndexHistoricalData, ApiResponseSICIndices, ApiResponseSICIndicesSearch, ApiResponseSecurities, ApiResponseSecuritiesSearch, ApiResponseSecurityAccumulationDistributionIndex, ApiResponseSecurityAverageDailyTradingVolume, ApiResponseSecurityAverageDirectionalIndex, ApiResponseSecurityAverageTrueRange, ApiResponseSecurityAwesomeOscillator, ApiResponseSecurityBollingerBands, ApiResponseSecurityChaikinMoneyFlow, ApiResponseSecurityCommodityChannelIndex, ApiResponseSecurityDetrendedPriceOscillator, ApiResponseSecurityDonchianChannel, ApiResponseSecurityEaseOfMovement, ApiResponseSecurityForceIndex, ApiResponseSecurityHistoricalData, ApiResponseSecurityIchimokuKinkoHyo, ApiResponseSecurityInstitutionalOwnership, ApiResponseSecurityIntervalPrices, ApiResponseSecurityIntradayPrices, ApiResponseSecurityKeltnerChannel, ApiResponseSecurityKnowSureThing, ApiResponseSecurityMassIndex, ApiResponseSecurityMoneyFlowIndex, ApiResponseSecurityMovingAverageConvergenceDivergence, ApiResponseSecurityNegativeVolumeIndex, ApiResponseSecurityOnBalanceVolume, ApiResponseSecurityOnBalanceVolumeMean, ApiResponseSecurityRelativeStrengthIndex, ApiResponseSecuritySimpleMovingAverage, ApiResponseSecurityStochasticOscillator, ApiResponseSecurityStockPriceAdjustments, ApiResponseSecurityStockPrices, ApiResponseSecurityTripleExponentialAverage, ApiResponseSecurityTrueStrengthIndex, ApiResponseSecurityUltimateOscillator, ApiResponseSecurityVolumePriceTrend, ApiResponseSecurityVolumeWeightedAveragePrice, ApiResponseSecurityVortexIndicator, ApiResponseSecurityWilliamsR, ApiResponseSecurityZacksAnalystRatings, ApiResponseSecurityZacksAnalystRatingsSnapshot, ApiResponseSecurityZacksEPSSurprises, ApiResponseSecurityZacksSalesSurprises, ApiResponseStandardizedFinancials, ApiResponseStockExchangeRealtimeStockPrices, ApiResponseStockExchangeSecurities, ApiResponseStockExchangeStockPriceAdjustments, ApiResponseStockExchangeStockPrices, ApiResponseStockExchanges, ApiResponseStockMarketIndexHistoricalData, ApiResponseStockMarketIndices, ApiResponseStockMarketIndicesSearch, ApiResponseZacksAnalystRatings, ApiResponseZacksEPSEstimates, ApiResponseZacksEPSGrowthRates, ApiResponseZacksEPSSurprises, ApiResponseZacksETFHoldings, ApiResponseZacksInstitutionalHoldingCompanies, ApiResponseZacksInstitutionalHoldingOwners, ApiResponseZacksInstitutionalHoldings, ApiResponseZacksLongTermGrowthRates, ApiResponseZacksSalesSurprises, ApiResponseZacksTargetPriceConsensuses, AverageDailyTradingVolumeTechnicalValue, AverageDirectionalIndexTechnicalValue, AverageTrueRangeTechnicalValue, AwesomeOscillatorTechnicalValue, BollingerBandsTechnicalValue, BulkDownloadLinks, BulkDownloadSummary, ChaikinMoneyFlowTechnicalValue, CommodityChannelIndexTechnicalValue, Company, CompanyFiling, CompanyInitialPublicOffering, CompanyNews, CompanyNewsSummary, CompanySharesOutstanding, CompanySummary, DataTag, DataTagSummary, DetrendedPriceOscillatorTechnicalValue, DividendRecord, DonchianChannelTechnicalValue, ETF, ETFAnalytics, ETFHolding, ETFStats, ETFSummary, EarningsRecord, EaseOfMovementTechnicalValue, EconomicIndex, EconomicIndexSummary, Filing, FilingNote, FilingNoteFiling, FilingNoteSummary, FilingSummary, ForceIndexTechnicalValue, ForexCurrency, ForexPair, ForexPrice, Fundamental, FundamentalSummary, HistoricalData, IchimokuKinkoHyoTechnicalValue, InsiderTransaction, InsiderTransactionFiling, InstitutionalHolding, InstitutionalOwnership, IntradayStockPrice, KeltnerChannelTechnicalValue, KnowSureThingTechnicalValue, MassIndexTechnicalValue, MoneyFlowIndexTechnicalValue, MovingAverageConvergenceDivergenceTechnicalValue, Municipality, MunicipalityFinancial, NegativeVolumeIndexTechnicalValue, OnBalanceVolumeMeanTechnicalValue, OnBalanceVolumeTechnicalValue, Option, OptionChain, OptionChainRealtime, OptionContractsList, OptionFactorsRealtime, OptionPrice, OptionPriceBatchRealtime, OptionPriceRealtime, OptionRealtime, OptionStatsRealtime, OptionUnusualTrade, Owner, OwnerSummary, RealtimeStockPrice, RealtimeStockPriceSecurity, RelativeStrengthIndexTechnicalValue, ReportedFinancial, ReportedFinancialDimension, ReportedTag, SICIndex, Security, SecurityScreenClause, SecurityScreenGroup, SecurityScreenResult, SecurityScreenResultData, SecuritySummary, SimpleMovingAverageTechnicalValue, StandardizedFinancial, StochasticOscillatorTechnicalValue, StockExchange, StockMarketIndex, StockMarketIndexSummary, StockPrice, StockPriceAdjustment, StockPriceAdjustmentSummary, StockPriceInterval, StockPriceSummary, TechnicalIndicator, TheaEntityAnswer, TheaSourceDocument, TripleExponentialAverageTechnicalValue, TrueStrengthIndexTechnicalValue, UltimateOscillatorTechnicalValue, VolumePriceTrendTechnicalValue, VolumeWeightedAveragePriceValue, VortexIndicatorTechnicalValue, WilliamsRTechnicalValue, ZacksAnalystRating, ZacksAnalystRatingSnapshot, ZacksAnalystRatingSummary, ZacksEPSEstimate, ZacksEPSGrowthRate, ZacksEPSSurprise, ZacksEPSSurpriseSummary, ZacksETFHolding, ZacksInstitutionalHolding, ZacksInstitutionalHoldingCompanyDetail, ZacksInstitutionalHoldingCompanySummary, ZacksInstitutionalHoldingHistoricalSummary, ZacksInstitutionalHoldingOwnerDetail, ZacksInstitutionalHoldingOwnerSummary, ZacksLongTermGrowthRate, ZacksSalesSurprise, ZacksSalesSurpriseSummary, ZacksTargetPriceConsensus, BulkDownloadsApi, CompanyApi, DataPointApi, DataTagApi, ETFsApi, FilingApi, ForexApi, FundamentalsApi, HistoricalDataApi, IndexApi, InsiderTransactionFilingsApi, MunicipalityApi, OptionsApi, OwnersApi, SecurityApi, StockExchangeApi, TechnicalApi, ZacksApi) {
  'use strict';

  /**
   * Access the Intrinio API.<br>
   * The <code>index</code> module provides access to constructors for all the classes which comprise the public API.
   * <p>
   * An AMD (recommended!) or CommonJS application will generally do something equivalent to the following:
   * <pre>
   * var intrinioSDK = require('index'); // See note below*.
   * var xxxSvc = new intrinioSDK.XxxApi(); // Allocate the API class we're going to use.
   * var yyyModel = new intrinioSDK.Yyy(); // Construct a model instance.
   * yyyModel.someProperty = 'someValue';
   * ...
   * var zzz = xxxSvc.doSomething(yyyModel); // Invoke the service.
   * ...
   * </pre>
   * <em>*NOTE: For a top-level AMD script, use require(['index'], function(){...})
   * and put the application logic within the callback function.</em>
   * </p>
   * <p>
   * A non-AMD browser application (discouraged) might do something like this:
   * <pre>
   * var xxxSvc = new intrinioSDK.XxxApi(); // Allocate the API class we're going to use.
   * var yyy = new intrinioSDK.Yyy(); // Construct a model instance.
   * yyyModel.someProperty = 'someValue';
   * ...
   * var zzz = xxxSvc.doSomething(yyyModel); // Invoke the service.
   * ...
   * </pre>
   * </p>
   * @module index
   * @version 5.14.0
   */
  var exports = {
    /**
     * The ApiClient constructor.
     * @property {module:ApiClient}
     */
    ApiClient: ApiClient,
    /**
     * The AccumulationDistributionIndexTechnicalValue model constructor.
     * @property {module:model/AccumulationDistributionIndexTechnicalValue}
     */
    AccumulationDistributionIndexTechnicalValue: AccumulationDistributionIndexTechnicalValue,
    /**
     * The ApiResponseBulkDownloadLinks model constructor.
     * @property {module:model/ApiResponseBulkDownloadLinks}
     */
    ApiResponseBulkDownloadLinks: ApiResponseBulkDownloadLinks,
    /**
     * The ApiResponseCompanies model constructor.
     * @property {module:model/ApiResponseCompanies}
     */
    ApiResponseCompanies: ApiResponseCompanies,
    /**
     * The ApiResponseCompaniesSearch model constructor.
     * @property {module:model/ApiResponseCompaniesSearch}
     */
    ApiResponseCompaniesSearch: ApiResponseCompaniesSearch,
    /**
     * The ApiResponseCompanyAnswers model constructor.
     * @property {module:model/ApiResponseCompanyAnswers}
     */
    ApiResponseCompanyAnswers: ApiResponseCompanyAnswers,
    /**
     * The ApiResponseCompanyFilings model constructor.
     * @property {module:model/ApiResponseCompanyFilings}
     */
    ApiResponseCompanyFilings: ApiResponseCompanyFilings,
    /**
     * The ApiResponseCompanyFundamentals model constructor.
     * @property {module:model/ApiResponseCompanyFundamentals}
     */
    ApiResponseCompanyFundamentals: ApiResponseCompanyFundamentals,
    /**
     * The ApiResponseCompanyHistoricalData model constructor.
     * @property {module:model/ApiResponseCompanyHistoricalData}
     */
    ApiResponseCompanyHistoricalData: ApiResponseCompanyHistoricalData,
    /**
     * The ApiResponseCompanyInsiderTransactionFilings model constructor.
     * @property {module:model/ApiResponseCompanyInsiderTransactionFilings}
     */
    ApiResponseCompanyInsiderTransactionFilings: ApiResponseCompanyInsiderTransactionFilings,
    /**
     * The ApiResponseCompanyNews model constructor.
     * @property {module:model/ApiResponseCompanyNews}
     */
    ApiResponseCompanyNews: ApiResponseCompanyNews,
    /**
     * The ApiResponseCompanyRecognize model constructor.
     * @property {module:model/ApiResponseCompanyRecognize}
     */
    ApiResponseCompanyRecognize: ApiResponseCompanyRecognize,
    /**
     * The ApiResponseCompanySecurities model constructor.
     * @property {module:model/ApiResponseCompanySecurities}
     */
    ApiResponseCompanySecurities: ApiResponseCompanySecurities,
    /**
     * The ApiResponseCompanySharesOutstanding model constructor.
     * @property {module:model/ApiResponseCompanySharesOutstanding}
     */
    ApiResponseCompanySharesOutstanding: ApiResponseCompanySharesOutstanding,
    /**
     * The ApiResponseDataTags model constructor.
     * @property {module:model/ApiResponseDataTags}
     */
    ApiResponseDataTags: ApiResponseDataTags,
    /**
     * The ApiResponseDataTagsSearch model constructor.
     * @property {module:model/ApiResponseDataTagsSearch}
     */
    ApiResponseDataTagsSearch: ApiResponseDataTagsSearch,
    /**
     * The ApiResponseETFHoldings model constructor.
     * @property {module:model/ApiResponseETFHoldings}
     */
    ApiResponseETFHoldings: ApiResponseETFHoldings,
    /**
     * The ApiResponseETFs model constructor.
     * @property {module:model/ApiResponseETFs}
     */
    ApiResponseETFs: ApiResponseETFs,
    /**
     * The ApiResponseEconomicIndexHistoricalData model constructor.
     * @property {module:model/ApiResponseEconomicIndexHistoricalData}
     */
    ApiResponseEconomicIndexHistoricalData: ApiResponseEconomicIndexHistoricalData,
    /**
     * The ApiResponseEconomicIndices model constructor.
     * @property {module:model/ApiResponseEconomicIndices}
     */
    ApiResponseEconomicIndices: ApiResponseEconomicIndices,
    /**
     * The ApiResponseEconomicIndicesSearch model constructor.
     * @property {module:model/ApiResponseEconomicIndicesSearch}
     */
    ApiResponseEconomicIndicesSearch: ApiResponseEconomicIndicesSearch,
    /**
     * The ApiResponseFilingAnswers model constructor.
     * @property {module:model/ApiResponseFilingAnswers}
     */
    ApiResponseFilingAnswers: ApiResponseFilingAnswers,
    /**
     * The ApiResponseFilingFundamentals model constructor.
     * @property {module:model/ApiResponseFilingFundamentals}
     */
    ApiResponseFilingFundamentals: ApiResponseFilingFundamentals,
    /**
     * The ApiResponseFilingNotes model constructor.
     * @property {module:model/ApiResponseFilingNotes}
     */
    ApiResponseFilingNotes: ApiResponseFilingNotes,
    /**
     * The ApiResponseFilingNotesSearch model constructor.
     * @property {module:model/ApiResponseFilingNotesSearch}
     */
    ApiResponseFilingNotesSearch: ApiResponseFilingNotesSearch,
    /**
     * The ApiResponseFilings model constructor.
     * @property {module:model/ApiResponseFilings}
     */
    ApiResponseFilings: ApiResponseFilings,
    /**
     * The ApiResponseForexCurrencies model constructor.
     * @property {module:model/ApiResponseForexCurrencies}
     */
    ApiResponseForexCurrencies: ApiResponseForexCurrencies,
    /**
     * The ApiResponseForexPairs model constructor.
     * @property {module:model/ApiResponseForexPairs}
     */
    ApiResponseForexPairs: ApiResponseForexPairs,
    /**
     * The ApiResponseForexPrices model constructor.
     * @property {module:model/ApiResponseForexPrices}
     */
    ApiResponseForexPrices: ApiResponseForexPrices,
    /**
     * The ApiResponseHistoricalData model constructor.
     * @property {module:model/ApiResponseHistoricalData}
     */
    ApiResponseHistoricalData: ApiResponseHistoricalData,
    /**
     * The ApiResponseInitialPublicOfferings model constructor.
     * @property {module:model/ApiResponseInitialPublicOfferings}
     */
    ApiResponseInitialPublicOfferings: ApiResponseInitialPublicOfferings,
    /**
     * The ApiResponseInsiderTransactionFilings model constructor.
     * @property {module:model/ApiResponseInsiderTransactionFilings}
     */
    ApiResponseInsiderTransactionFilings: ApiResponseInsiderTransactionFilings,
    /**
     * The ApiResponseMunicipalities model constructor.
     * @property {module:model/ApiResponseMunicipalities}
     */
    ApiResponseMunicipalities: ApiResponseMunicipalities,
    /**
     * The ApiResponseMunicipalitiyFinancials model constructor.
     * @property {module:model/ApiResponseMunicipalitiyFinancials}
     */
    ApiResponseMunicipalitiyFinancials: ApiResponseMunicipalitiyFinancials,
    /**
     * The ApiResponseNews model constructor.
     * @property {module:model/ApiResponseNews}
     */
    ApiResponseNews: ApiResponseNews,
    /**
     * The ApiResponseOptionPrices model constructor.
     * @property {module:model/ApiResponseOptionPrices}
     */
    ApiResponseOptionPrices: ApiResponseOptionPrices,
    /**
     * The ApiResponseOptions model constructor.
     * @property {module:model/ApiResponseOptions}
     */
    ApiResponseOptions: ApiResponseOptions,
    /**
     * The ApiResponseOptionsChain model constructor.
     * @property {module:model/ApiResponseOptionsChain}
     */
    ApiResponseOptionsChain: ApiResponseOptionsChain,
    /**
     * The ApiResponseOptionsChainRealtime model constructor.
     * @property {module:model/ApiResponseOptionsChainRealtime}
     */
    ApiResponseOptionsChainRealtime: ApiResponseOptionsChainRealtime,
    /**
     * The ApiResponseOptionsExpirations model constructor.
     * @property {module:model/ApiResponseOptionsExpirations}
     */
    ApiResponseOptionsExpirations: ApiResponseOptionsExpirations,
    /**
     * The ApiResponseOptionsPriceRealtime model constructor.
     * @property {module:model/ApiResponseOptionsPriceRealtime}
     */
    ApiResponseOptionsPriceRealtime: ApiResponseOptionsPriceRealtime,
    /**
     * The ApiResponseOptionsPricesBatchRealtime model constructor.
     * @property {module:model/ApiResponseOptionsPricesBatchRealtime}
     */
    ApiResponseOptionsPricesBatchRealtime: ApiResponseOptionsPricesBatchRealtime,
    /**
     * The ApiResponseOptionsRealtime model constructor.
     * @property {module:model/ApiResponseOptionsRealtime}
     */
    ApiResponseOptionsRealtime: ApiResponseOptionsRealtime,
    /**
     * The ApiResponseOptionsStatsRealtime model constructor.
     * @property {module:model/ApiResponseOptionsStatsRealtime}
     */
    ApiResponseOptionsStatsRealtime: ApiResponseOptionsStatsRealtime,
    /**
     * The ApiResponseOptionsTickers model constructor.
     * @property {module:model/ApiResponseOptionsTickers}
     */
    ApiResponseOptionsTickers: ApiResponseOptionsTickers,
    /**
     * The ApiResponseOptionsUnusualActivity model constructor.
     * @property {module:model/ApiResponseOptionsUnusualActivity}
     */
    ApiResponseOptionsUnusualActivity: ApiResponseOptionsUnusualActivity,
    /**
     * The ApiResponseOwnerInsiderTransactionFilings model constructor.
     * @property {module:model/ApiResponseOwnerInsiderTransactionFilings}
     */
    ApiResponseOwnerInsiderTransactionFilings: ApiResponseOwnerInsiderTransactionFilings,
    /**
     * The ApiResponseOwnerInstitutionalHoldings model constructor.
     * @property {module:model/ApiResponseOwnerInstitutionalHoldings}
     */
    ApiResponseOwnerInstitutionalHoldings: ApiResponseOwnerInstitutionalHoldings,
    /**
     * The ApiResponseOwners model constructor.
     * @property {module:model/ApiResponseOwners}
     */
    ApiResponseOwners: ApiResponseOwners,
    /**
     * The ApiResponseReportedFinancials model constructor.
     * @property {module:model/ApiResponseReportedFinancials}
     */
    ApiResponseReportedFinancials: ApiResponseReportedFinancials,
    /**
     * The ApiResponseSICIndexHistoricalData model constructor.
     * @property {module:model/ApiResponseSICIndexHistoricalData}
     */
    ApiResponseSICIndexHistoricalData: ApiResponseSICIndexHistoricalData,
    /**
     * The ApiResponseSICIndices model constructor.
     * @property {module:model/ApiResponseSICIndices}
     */
    ApiResponseSICIndices: ApiResponseSICIndices,
    /**
     * The ApiResponseSICIndicesSearch model constructor.
     * @property {module:model/ApiResponseSICIndicesSearch}
     */
    ApiResponseSICIndicesSearch: ApiResponseSICIndicesSearch,
    /**
     * The ApiResponseSecurities model constructor.
     * @property {module:model/ApiResponseSecurities}
     */
    ApiResponseSecurities: ApiResponseSecurities,
    /**
     * The ApiResponseSecuritiesSearch model constructor.
     * @property {module:model/ApiResponseSecuritiesSearch}
     */
    ApiResponseSecuritiesSearch: ApiResponseSecuritiesSearch,
    /**
     * The ApiResponseSecurityAccumulationDistributionIndex model constructor.
     * @property {module:model/ApiResponseSecurityAccumulationDistributionIndex}
     */
    ApiResponseSecurityAccumulationDistributionIndex: ApiResponseSecurityAccumulationDistributionIndex,
    /**
     * The ApiResponseSecurityAverageDailyTradingVolume model constructor.
     * @property {module:model/ApiResponseSecurityAverageDailyTradingVolume}
     */
    ApiResponseSecurityAverageDailyTradingVolume: ApiResponseSecurityAverageDailyTradingVolume,
    /**
     * The ApiResponseSecurityAverageDirectionalIndex model constructor.
     * @property {module:model/ApiResponseSecurityAverageDirectionalIndex}
     */
    ApiResponseSecurityAverageDirectionalIndex: ApiResponseSecurityAverageDirectionalIndex,
    /**
     * The ApiResponseSecurityAverageTrueRange model constructor.
     * @property {module:model/ApiResponseSecurityAverageTrueRange}
     */
    ApiResponseSecurityAverageTrueRange: ApiResponseSecurityAverageTrueRange,
    /**
     * The ApiResponseSecurityAwesomeOscillator model constructor.
     * @property {module:model/ApiResponseSecurityAwesomeOscillator}
     */
    ApiResponseSecurityAwesomeOscillator: ApiResponseSecurityAwesomeOscillator,
    /**
     * The ApiResponseSecurityBollingerBands model constructor.
     * @property {module:model/ApiResponseSecurityBollingerBands}
     */
    ApiResponseSecurityBollingerBands: ApiResponseSecurityBollingerBands,
    /**
     * The ApiResponseSecurityChaikinMoneyFlow model constructor.
     * @property {module:model/ApiResponseSecurityChaikinMoneyFlow}
     */
    ApiResponseSecurityChaikinMoneyFlow: ApiResponseSecurityChaikinMoneyFlow,
    /**
     * The ApiResponseSecurityCommodityChannelIndex model constructor.
     * @property {module:model/ApiResponseSecurityCommodityChannelIndex}
     */
    ApiResponseSecurityCommodityChannelIndex: ApiResponseSecurityCommodityChannelIndex,
    /**
     * The ApiResponseSecurityDetrendedPriceOscillator model constructor.
     * @property {module:model/ApiResponseSecurityDetrendedPriceOscillator}
     */
    ApiResponseSecurityDetrendedPriceOscillator: ApiResponseSecurityDetrendedPriceOscillator,
    /**
     * The ApiResponseSecurityDonchianChannel model constructor.
     * @property {module:model/ApiResponseSecurityDonchianChannel}
     */
    ApiResponseSecurityDonchianChannel: ApiResponseSecurityDonchianChannel,
    /**
     * The ApiResponseSecurityEaseOfMovement model constructor.
     * @property {module:model/ApiResponseSecurityEaseOfMovement}
     */
    ApiResponseSecurityEaseOfMovement: ApiResponseSecurityEaseOfMovement,
    /**
     * The ApiResponseSecurityForceIndex model constructor.
     * @property {module:model/ApiResponseSecurityForceIndex}
     */
    ApiResponseSecurityForceIndex: ApiResponseSecurityForceIndex,
    /**
     * The ApiResponseSecurityHistoricalData model constructor.
     * @property {module:model/ApiResponseSecurityHistoricalData}
     */
    ApiResponseSecurityHistoricalData: ApiResponseSecurityHistoricalData,
    /**
     * The ApiResponseSecurityIchimokuKinkoHyo model constructor.
     * @property {module:model/ApiResponseSecurityIchimokuKinkoHyo}
     */
    ApiResponseSecurityIchimokuKinkoHyo: ApiResponseSecurityIchimokuKinkoHyo,
    /**
     * The ApiResponseSecurityInstitutionalOwnership model constructor.
     * @property {module:model/ApiResponseSecurityInstitutionalOwnership}
     */
    ApiResponseSecurityInstitutionalOwnership: ApiResponseSecurityInstitutionalOwnership,
    /**
     * The ApiResponseSecurityIntervalPrices model constructor.
     * @property {module:model/ApiResponseSecurityIntervalPrices}
     */
    ApiResponseSecurityIntervalPrices: ApiResponseSecurityIntervalPrices,
    /**
     * The ApiResponseSecurityIntradayPrices model constructor.
     * @property {module:model/ApiResponseSecurityIntradayPrices}
     */
    ApiResponseSecurityIntradayPrices: ApiResponseSecurityIntradayPrices,
    /**
     * The ApiResponseSecurityKeltnerChannel model constructor.
     * @property {module:model/ApiResponseSecurityKeltnerChannel}
     */
    ApiResponseSecurityKeltnerChannel: ApiResponseSecurityKeltnerChannel,
    /**
     * The ApiResponseSecurityKnowSureThing model constructor.
     * @property {module:model/ApiResponseSecurityKnowSureThing}
     */
    ApiResponseSecurityKnowSureThing: ApiResponseSecurityKnowSureThing,
    /**
     * The ApiResponseSecurityMassIndex model constructor.
     * @property {module:model/ApiResponseSecurityMassIndex}
     */
    ApiResponseSecurityMassIndex: ApiResponseSecurityMassIndex,
    /**
     * The ApiResponseSecurityMoneyFlowIndex model constructor.
     * @property {module:model/ApiResponseSecurityMoneyFlowIndex}
     */
    ApiResponseSecurityMoneyFlowIndex: ApiResponseSecurityMoneyFlowIndex,
    /**
     * The ApiResponseSecurityMovingAverageConvergenceDivergence model constructor.
     * @property {module:model/ApiResponseSecurityMovingAverageConvergenceDivergence}
     */
    ApiResponseSecurityMovingAverageConvergenceDivergence: ApiResponseSecurityMovingAverageConvergenceDivergence,
    /**
     * The ApiResponseSecurityNegativeVolumeIndex model constructor.
     * @property {module:model/ApiResponseSecurityNegativeVolumeIndex}
     */
    ApiResponseSecurityNegativeVolumeIndex: ApiResponseSecurityNegativeVolumeIndex,
    /**
     * The ApiResponseSecurityOnBalanceVolume model constructor.
     * @property {module:model/ApiResponseSecurityOnBalanceVolume}
     */
    ApiResponseSecurityOnBalanceVolume: ApiResponseSecurityOnBalanceVolume,
    /**
     * The ApiResponseSecurityOnBalanceVolumeMean model constructor.
     * @property {module:model/ApiResponseSecurityOnBalanceVolumeMean}
     */
    ApiResponseSecurityOnBalanceVolumeMean: ApiResponseSecurityOnBalanceVolumeMean,
    /**
     * The ApiResponseSecurityRelativeStrengthIndex model constructor.
     * @property {module:model/ApiResponseSecurityRelativeStrengthIndex}
     */
    ApiResponseSecurityRelativeStrengthIndex: ApiResponseSecurityRelativeStrengthIndex,
    /**
     * The ApiResponseSecuritySimpleMovingAverage model constructor.
     * @property {module:model/ApiResponseSecuritySimpleMovingAverage}
     */
    ApiResponseSecuritySimpleMovingAverage: ApiResponseSecuritySimpleMovingAverage,
    /**
     * The ApiResponseSecurityStochasticOscillator model constructor.
     * @property {module:model/ApiResponseSecurityStochasticOscillator}
     */
    ApiResponseSecurityStochasticOscillator: ApiResponseSecurityStochasticOscillator,
    /**
     * The ApiResponseSecurityStockPriceAdjustments model constructor.
     * @property {module:model/ApiResponseSecurityStockPriceAdjustments}
     */
    ApiResponseSecurityStockPriceAdjustments: ApiResponseSecurityStockPriceAdjustments,
    /**
     * The ApiResponseSecurityStockPrices model constructor.
     * @property {module:model/ApiResponseSecurityStockPrices}
     */
    ApiResponseSecurityStockPrices: ApiResponseSecurityStockPrices,
    /**
     * The ApiResponseSecurityTripleExponentialAverage model constructor.
     * @property {module:model/ApiResponseSecurityTripleExponentialAverage}
     */
    ApiResponseSecurityTripleExponentialAverage: ApiResponseSecurityTripleExponentialAverage,
    /**
     * The ApiResponseSecurityTrueStrengthIndex model constructor.
     * @property {module:model/ApiResponseSecurityTrueStrengthIndex}
     */
    ApiResponseSecurityTrueStrengthIndex: ApiResponseSecurityTrueStrengthIndex,
    /**
     * The ApiResponseSecurityUltimateOscillator model constructor.
     * @property {module:model/ApiResponseSecurityUltimateOscillator}
     */
    ApiResponseSecurityUltimateOscillator: ApiResponseSecurityUltimateOscillator,
    /**
     * The ApiResponseSecurityVolumePriceTrend model constructor.
     * @property {module:model/ApiResponseSecurityVolumePriceTrend}
     */
    ApiResponseSecurityVolumePriceTrend: ApiResponseSecurityVolumePriceTrend,
    /**
     * The ApiResponseSecurityVolumeWeightedAveragePrice model constructor.
     * @property {module:model/ApiResponseSecurityVolumeWeightedAveragePrice}
     */
    ApiResponseSecurityVolumeWeightedAveragePrice: ApiResponseSecurityVolumeWeightedAveragePrice,
    /**
     * The ApiResponseSecurityVortexIndicator model constructor.
     * @property {module:model/ApiResponseSecurityVortexIndicator}
     */
    ApiResponseSecurityVortexIndicator: ApiResponseSecurityVortexIndicator,
    /**
     * The ApiResponseSecurityWilliamsR model constructor.
     * @property {module:model/ApiResponseSecurityWilliamsR}
     */
    ApiResponseSecurityWilliamsR: ApiResponseSecurityWilliamsR,
    /**
     * The ApiResponseSecurityZacksAnalystRatings model constructor.
     * @property {module:model/ApiResponseSecurityZacksAnalystRatings}
     */
    ApiResponseSecurityZacksAnalystRatings: ApiResponseSecurityZacksAnalystRatings,
    /**
     * The ApiResponseSecurityZacksAnalystRatingsSnapshot model constructor.
     * @property {module:model/ApiResponseSecurityZacksAnalystRatingsSnapshot}
     */
    ApiResponseSecurityZacksAnalystRatingsSnapshot: ApiResponseSecurityZacksAnalystRatingsSnapshot,
    /**
     * The ApiResponseSecurityZacksEPSSurprises model constructor.
     * @property {module:model/ApiResponseSecurityZacksEPSSurprises}
     */
    ApiResponseSecurityZacksEPSSurprises: ApiResponseSecurityZacksEPSSurprises,
    /**
     * The ApiResponseSecurityZacksSalesSurprises model constructor.
     * @property {module:model/ApiResponseSecurityZacksSalesSurprises}
     */
    ApiResponseSecurityZacksSalesSurprises: ApiResponseSecurityZacksSalesSurprises,
    /**
     * The ApiResponseStandardizedFinancials model constructor.
     * @property {module:model/ApiResponseStandardizedFinancials}
     */
    ApiResponseStandardizedFinancials: ApiResponseStandardizedFinancials,
    /**
     * The ApiResponseStockExchangeRealtimeStockPrices model constructor.
     * @property {module:model/ApiResponseStockExchangeRealtimeStockPrices}
     */
    ApiResponseStockExchangeRealtimeStockPrices: ApiResponseStockExchangeRealtimeStockPrices,
    /**
     * The ApiResponseStockExchangeSecurities model constructor.
     * @property {module:model/ApiResponseStockExchangeSecurities}
     */
    ApiResponseStockExchangeSecurities: ApiResponseStockExchangeSecurities,
    /**
     * The ApiResponseStockExchangeStockPriceAdjustments model constructor.
     * @property {module:model/ApiResponseStockExchangeStockPriceAdjustments}
     */
    ApiResponseStockExchangeStockPriceAdjustments: ApiResponseStockExchangeStockPriceAdjustments,
    /**
     * The ApiResponseStockExchangeStockPrices model constructor.
     * @property {module:model/ApiResponseStockExchangeStockPrices}
     */
    ApiResponseStockExchangeStockPrices: ApiResponseStockExchangeStockPrices,
    /**
     * The ApiResponseStockExchanges model constructor.
     * @property {module:model/ApiResponseStockExchanges}
     */
    ApiResponseStockExchanges: ApiResponseStockExchanges,
    /**
     * The ApiResponseStockMarketIndexHistoricalData model constructor.
     * @property {module:model/ApiResponseStockMarketIndexHistoricalData}
     */
    ApiResponseStockMarketIndexHistoricalData: ApiResponseStockMarketIndexHistoricalData,
    /**
     * The ApiResponseStockMarketIndices model constructor.
     * @property {module:model/ApiResponseStockMarketIndices}
     */
    ApiResponseStockMarketIndices: ApiResponseStockMarketIndices,
    /**
     * The ApiResponseStockMarketIndicesSearch model constructor.
     * @property {module:model/ApiResponseStockMarketIndicesSearch}
     */
    ApiResponseStockMarketIndicesSearch: ApiResponseStockMarketIndicesSearch,
    /**
     * The ApiResponseZacksAnalystRatings model constructor.
     * @property {module:model/ApiResponseZacksAnalystRatings}
     */
    ApiResponseZacksAnalystRatings: ApiResponseZacksAnalystRatings,
    /**
     * The ApiResponseZacksEPSEstimates model constructor.
     * @property {module:model/ApiResponseZacksEPSEstimates}
     */
    ApiResponseZacksEPSEstimates: ApiResponseZacksEPSEstimates,
    /**
     * The ApiResponseZacksEPSGrowthRates model constructor.
     * @property {module:model/ApiResponseZacksEPSGrowthRates}
     */
    ApiResponseZacksEPSGrowthRates: ApiResponseZacksEPSGrowthRates,
    /**
     * The ApiResponseZacksEPSSurprises model constructor.
     * @property {module:model/ApiResponseZacksEPSSurprises}
     */
    ApiResponseZacksEPSSurprises: ApiResponseZacksEPSSurprises,
    /**
     * The ApiResponseZacksETFHoldings model constructor.
     * @property {module:model/ApiResponseZacksETFHoldings}
     */
    ApiResponseZacksETFHoldings: ApiResponseZacksETFHoldings,
    /**
     * The ApiResponseZacksInstitutionalHoldingCompanies model constructor.
     * @property {module:model/ApiResponseZacksInstitutionalHoldingCompanies}
     */
    ApiResponseZacksInstitutionalHoldingCompanies: ApiResponseZacksInstitutionalHoldingCompanies,
    /**
     * The ApiResponseZacksInstitutionalHoldingOwners model constructor.
     * @property {module:model/ApiResponseZacksInstitutionalHoldingOwners}
     */
    ApiResponseZacksInstitutionalHoldingOwners: ApiResponseZacksInstitutionalHoldingOwners,
    /**
     * The ApiResponseZacksInstitutionalHoldings model constructor.
     * @property {module:model/ApiResponseZacksInstitutionalHoldings}
     */
    ApiResponseZacksInstitutionalHoldings: ApiResponseZacksInstitutionalHoldings,
    /**
     * The ApiResponseZacksLongTermGrowthRates model constructor.
     * @property {module:model/ApiResponseZacksLongTermGrowthRates}
     */
    ApiResponseZacksLongTermGrowthRates: ApiResponseZacksLongTermGrowthRates,
    /**
     * The ApiResponseZacksSalesSurprises model constructor.
     * @property {module:model/ApiResponseZacksSalesSurprises}
     */
    ApiResponseZacksSalesSurprises: ApiResponseZacksSalesSurprises,
    /**
     * The ApiResponseZacksTargetPriceConsensuses model constructor.
     * @property {module:model/ApiResponseZacksTargetPriceConsensuses}
     */
    ApiResponseZacksTargetPriceConsensuses: ApiResponseZacksTargetPriceConsensuses,
    /**
     * The AverageDailyTradingVolumeTechnicalValue model constructor.
     * @property {module:model/AverageDailyTradingVolumeTechnicalValue}
     */
    AverageDailyTradingVolumeTechnicalValue: AverageDailyTradingVolumeTechnicalValue,
    /**
     * The AverageDirectionalIndexTechnicalValue model constructor.
     * @property {module:model/AverageDirectionalIndexTechnicalValue}
     */
    AverageDirectionalIndexTechnicalValue: AverageDirectionalIndexTechnicalValue,
    /**
     * The AverageTrueRangeTechnicalValue model constructor.
     * @property {module:model/AverageTrueRangeTechnicalValue}
     */
    AverageTrueRangeTechnicalValue: AverageTrueRangeTechnicalValue,
    /**
     * The AwesomeOscillatorTechnicalValue model constructor.
     * @property {module:model/AwesomeOscillatorTechnicalValue}
     */
    AwesomeOscillatorTechnicalValue: AwesomeOscillatorTechnicalValue,
    /**
     * The BollingerBandsTechnicalValue model constructor.
     * @property {module:model/BollingerBandsTechnicalValue}
     */
    BollingerBandsTechnicalValue: BollingerBandsTechnicalValue,
    /**
     * The BulkDownloadLinks model constructor.
     * @property {module:model/BulkDownloadLinks}
     */
    BulkDownloadLinks: BulkDownloadLinks,
    /**
     * The BulkDownloadSummary model constructor.
     * @property {module:model/BulkDownloadSummary}
     */
    BulkDownloadSummary: BulkDownloadSummary,
    /**
     * The ChaikinMoneyFlowTechnicalValue model constructor.
     * @property {module:model/ChaikinMoneyFlowTechnicalValue}
     */
    ChaikinMoneyFlowTechnicalValue: ChaikinMoneyFlowTechnicalValue,
    /**
     * The CommodityChannelIndexTechnicalValue model constructor.
     * @property {module:model/CommodityChannelIndexTechnicalValue}
     */
    CommodityChannelIndexTechnicalValue: CommodityChannelIndexTechnicalValue,
    /**
     * The Company model constructor.
     * @property {module:model/Company}
     */
    Company: Company,
    /**
     * The CompanyFiling model constructor.
     * @property {module:model/CompanyFiling}
     */
    CompanyFiling: CompanyFiling,
    /**
     * The CompanyInitialPublicOffering model constructor.
     * @property {module:model/CompanyInitialPublicOffering}
     */
    CompanyInitialPublicOffering: CompanyInitialPublicOffering,
    /**
     * The CompanyNews model constructor.
     * @property {module:model/CompanyNews}
     */
    CompanyNews: CompanyNews,
    /**
     * The CompanyNewsSummary model constructor.
     * @property {module:model/CompanyNewsSummary}
     */
    CompanyNewsSummary: CompanyNewsSummary,
    /**
     * The CompanySharesOutstanding model constructor.
     * @property {module:model/CompanySharesOutstanding}
     */
    CompanySharesOutstanding: CompanySharesOutstanding,
    /**
     * The CompanySummary model constructor.
     * @property {module:model/CompanySummary}
     */
    CompanySummary: CompanySummary,
    /**
     * The DataTag model constructor.
     * @property {module:model/DataTag}
     */
    DataTag: DataTag,
    /**
     * The DataTagSummary model constructor.
     * @property {module:model/DataTagSummary}
     */
    DataTagSummary: DataTagSummary,
    /**
     * The DetrendedPriceOscillatorTechnicalValue model constructor.
     * @property {module:model/DetrendedPriceOscillatorTechnicalValue}
     */
    DetrendedPriceOscillatorTechnicalValue: DetrendedPriceOscillatorTechnicalValue,
    /**
     * The DividendRecord model constructor.
     * @property {module:model/DividendRecord}
     */
    DividendRecord: DividendRecord,
    /**
     * The DonchianChannelTechnicalValue model constructor.
     * @property {module:model/DonchianChannelTechnicalValue}
     */
    DonchianChannelTechnicalValue: DonchianChannelTechnicalValue,
    /**
     * The ETF model constructor.
     * @property {module:model/ETF}
     */
    ETF: ETF,
    /**
     * The ETFAnalytics model constructor.
     * @property {module:model/ETFAnalytics}
     */
    ETFAnalytics: ETFAnalytics,
    /**
     * The ETFHolding model constructor.
     * @property {module:model/ETFHolding}
     */
    ETFHolding: ETFHolding,
    /**
     * The ETFStats model constructor.
     * @property {module:model/ETFStats}
     */
    ETFStats: ETFStats,
    /**
     * The ETFSummary model constructor.
     * @property {module:model/ETFSummary}
     */
    ETFSummary: ETFSummary,
    /**
     * The EarningsRecord model constructor.
     * @property {module:model/EarningsRecord}
     */
    EarningsRecord: EarningsRecord,
    /**
     * The EaseOfMovementTechnicalValue model constructor.
     * @property {module:model/EaseOfMovementTechnicalValue}
     */
    EaseOfMovementTechnicalValue: EaseOfMovementTechnicalValue,
    /**
     * The EconomicIndex model constructor.
     * @property {module:model/EconomicIndex}
     */
    EconomicIndex: EconomicIndex,
    /**
     * The EconomicIndexSummary model constructor.
     * @property {module:model/EconomicIndexSummary}
     */
    EconomicIndexSummary: EconomicIndexSummary,
    /**
     * The Filing model constructor.
     * @property {module:model/Filing}
     */
    Filing: Filing,
    /**
     * The FilingNote model constructor.
     * @property {module:model/FilingNote}
     */
    FilingNote: FilingNote,
    /**
     * The FilingNoteFiling model constructor.
     * @property {module:model/FilingNoteFiling}
     */
    FilingNoteFiling: FilingNoteFiling,
    /**
     * The FilingNoteSummary model constructor.
     * @property {module:model/FilingNoteSummary}
     */
    FilingNoteSummary: FilingNoteSummary,
    /**
     * The FilingSummary model constructor.
     * @property {module:model/FilingSummary}
     */
    FilingSummary: FilingSummary,
    /**
     * The ForceIndexTechnicalValue model constructor.
     * @property {module:model/ForceIndexTechnicalValue}
     */
    ForceIndexTechnicalValue: ForceIndexTechnicalValue,
    /**
     * The ForexCurrency model constructor.
     * @property {module:model/ForexCurrency}
     */
    ForexCurrency: ForexCurrency,
    /**
     * The ForexPair model constructor.
     * @property {module:model/ForexPair}
     */
    ForexPair: ForexPair,
    /**
     * The ForexPrice model constructor.
     * @property {module:model/ForexPrice}
     */
    ForexPrice: ForexPrice,
    /**
     * The Fundamental model constructor.
     * @property {module:model/Fundamental}
     */
    Fundamental: Fundamental,
    /**
     * The FundamentalSummary model constructor.
     * @property {module:model/FundamentalSummary}
     */
    FundamentalSummary: FundamentalSummary,
    /**
     * The HistoricalData model constructor.
     * @property {module:model/HistoricalData}
     */
    HistoricalData: HistoricalData,
    /**
     * The IchimokuKinkoHyoTechnicalValue model constructor.
     * @property {module:model/IchimokuKinkoHyoTechnicalValue}
     */
    IchimokuKinkoHyoTechnicalValue: IchimokuKinkoHyoTechnicalValue,
    /**
     * The InsiderTransaction model constructor.
     * @property {module:model/InsiderTransaction}
     */
    InsiderTransaction: InsiderTransaction,
    /**
     * The InsiderTransactionFiling model constructor.
     * @property {module:model/InsiderTransactionFiling}
     */
    InsiderTransactionFiling: InsiderTransactionFiling,
    /**
     * The InstitutionalHolding model constructor.
     * @property {module:model/InstitutionalHolding}
     */
    InstitutionalHolding: InstitutionalHolding,
    /**
     * The InstitutionalOwnership model constructor.
     * @property {module:model/InstitutionalOwnership}
     */
    InstitutionalOwnership: InstitutionalOwnership,
    /**
     * The IntradayStockPrice model constructor.
     * @property {module:model/IntradayStockPrice}
     */
    IntradayStockPrice: IntradayStockPrice,
    /**
     * The KeltnerChannelTechnicalValue model constructor.
     * @property {module:model/KeltnerChannelTechnicalValue}
     */
    KeltnerChannelTechnicalValue: KeltnerChannelTechnicalValue,
    /**
     * The KnowSureThingTechnicalValue model constructor.
     * @property {module:model/KnowSureThingTechnicalValue}
     */
    KnowSureThingTechnicalValue: KnowSureThingTechnicalValue,
    /**
     * The MassIndexTechnicalValue model constructor.
     * @property {module:model/MassIndexTechnicalValue}
     */
    MassIndexTechnicalValue: MassIndexTechnicalValue,
    /**
     * The MoneyFlowIndexTechnicalValue model constructor.
     * @property {module:model/MoneyFlowIndexTechnicalValue}
     */
    MoneyFlowIndexTechnicalValue: MoneyFlowIndexTechnicalValue,
    /**
     * The MovingAverageConvergenceDivergenceTechnicalValue model constructor.
     * @property {module:model/MovingAverageConvergenceDivergenceTechnicalValue}
     */
    MovingAverageConvergenceDivergenceTechnicalValue: MovingAverageConvergenceDivergenceTechnicalValue,
    /**
     * The Municipality model constructor.
     * @property {module:model/Municipality}
     */
    Municipality: Municipality,
    /**
     * The MunicipalityFinancial model constructor.
     * @property {module:model/MunicipalityFinancial}
     */
    MunicipalityFinancial: MunicipalityFinancial,
    /**
     * The NegativeVolumeIndexTechnicalValue model constructor.
     * @property {module:model/NegativeVolumeIndexTechnicalValue}
     */
    NegativeVolumeIndexTechnicalValue: NegativeVolumeIndexTechnicalValue,
    /**
     * The OnBalanceVolumeMeanTechnicalValue model constructor.
     * @property {module:model/OnBalanceVolumeMeanTechnicalValue}
     */
    OnBalanceVolumeMeanTechnicalValue: OnBalanceVolumeMeanTechnicalValue,
    /**
     * The OnBalanceVolumeTechnicalValue model constructor.
     * @property {module:model/OnBalanceVolumeTechnicalValue}
     */
    OnBalanceVolumeTechnicalValue: OnBalanceVolumeTechnicalValue,
    /**
     * The Option model constructor.
     * @property {module:model/Option}
     */
    Option: Option,
    /**
     * The OptionChain model constructor.
     * @property {module:model/OptionChain}
     */
    OptionChain: OptionChain,
    /**
     * The OptionChainRealtime model constructor.
     * @property {module:model/OptionChainRealtime}
     */
    OptionChainRealtime: OptionChainRealtime,
    /**
     * The OptionContractsList model constructor.
     * @property {module:model/OptionContractsList}
     */
    OptionContractsList: OptionContractsList,
    /**
     * The OptionFactorsRealtime model constructor.
     * @property {module:model/OptionFactorsRealtime}
     */
    OptionFactorsRealtime: OptionFactorsRealtime,
    /**
     * The OptionPrice model constructor.
     * @property {module:model/OptionPrice}
     */
    OptionPrice: OptionPrice,
    /**
     * The OptionPriceBatchRealtime model constructor.
     * @property {module:model/OptionPriceBatchRealtime}
     */
    OptionPriceBatchRealtime: OptionPriceBatchRealtime,
    /**
     * The OptionPriceRealtime model constructor.
     * @property {module:model/OptionPriceRealtime}
     */
    OptionPriceRealtime: OptionPriceRealtime,
    /**
     * The OptionRealtime model constructor.
     * @property {module:model/OptionRealtime}
     */
    OptionRealtime: OptionRealtime,
    /**
     * The OptionStatsRealtime model constructor.
     * @property {module:model/OptionStatsRealtime}
     */
    OptionStatsRealtime: OptionStatsRealtime,
    /**
     * The OptionUnusualTrade model constructor.
     * @property {module:model/OptionUnusualTrade}
     */
    OptionUnusualTrade: OptionUnusualTrade,
    /**
     * The Owner model constructor.
     * @property {module:model/Owner}
     */
    Owner: Owner,
    /**
     * The OwnerSummary model constructor.
     * @property {module:model/OwnerSummary}
     */
    OwnerSummary: OwnerSummary,
    /**
     * The RealtimeStockPrice model constructor.
     * @property {module:model/RealtimeStockPrice}
     */
    RealtimeStockPrice: RealtimeStockPrice,
    /**
     * The RealtimeStockPriceSecurity model constructor.
     * @property {module:model/RealtimeStockPriceSecurity}
     */
    RealtimeStockPriceSecurity: RealtimeStockPriceSecurity,
    /**
     * The RelativeStrengthIndexTechnicalValue model constructor.
     * @property {module:model/RelativeStrengthIndexTechnicalValue}
     */
    RelativeStrengthIndexTechnicalValue: RelativeStrengthIndexTechnicalValue,
    /**
     * The ReportedFinancial model constructor.
     * @property {module:model/ReportedFinancial}
     */
    ReportedFinancial: ReportedFinancial,
    /**
     * The ReportedFinancialDimension model constructor.
     * @property {module:model/ReportedFinancialDimension}
     */
    ReportedFinancialDimension: ReportedFinancialDimension,
    /**
     * The ReportedTag model constructor.
     * @property {module:model/ReportedTag}
     */
    ReportedTag: ReportedTag,
    /**
     * The SICIndex model constructor.
     * @property {module:model/SICIndex}
     */
    SICIndex: SICIndex,
    /**
     * The Security model constructor.
     * @property {module:model/Security}
     */
    Security: Security,
    /**
     * The SecurityScreenClause model constructor.
     * @property {module:model/SecurityScreenClause}
     */
    SecurityScreenClause: SecurityScreenClause,
    /**
     * The SecurityScreenGroup model constructor.
     * @property {module:model/SecurityScreenGroup}
     */
    SecurityScreenGroup: SecurityScreenGroup,
    /**
     * The SecurityScreenResult model constructor.
     * @property {module:model/SecurityScreenResult}
     */
    SecurityScreenResult: SecurityScreenResult,
    /**
     * The SecurityScreenResultData model constructor.
     * @property {module:model/SecurityScreenResultData}
     */
    SecurityScreenResultData: SecurityScreenResultData,
    /**
     * The SecuritySummary model constructor.
     * @property {module:model/SecuritySummary}
     */
    SecuritySummary: SecuritySummary,
    /**
     * The SimpleMovingAverageTechnicalValue model constructor.
     * @property {module:model/SimpleMovingAverageTechnicalValue}
     */
    SimpleMovingAverageTechnicalValue: SimpleMovingAverageTechnicalValue,
    /**
     * The StandardizedFinancial model constructor.
     * @property {module:model/StandardizedFinancial}
     */
    StandardizedFinancial: StandardizedFinancial,
    /**
     * The StochasticOscillatorTechnicalValue model constructor.
     * @property {module:model/StochasticOscillatorTechnicalValue}
     */
    StochasticOscillatorTechnicalValue: StochasticOscillatorTechnicalValue,
    /**
     * The StockExchange model constructor.
     * @property {module:model/StockExchange}
     */
    StockExchange: StockExchange,
    /**
     * The StockMarketIndex model constructor.
     * @property {module:model/StockMarketIndex}
     */
    StockMarketIndex: StockMarketIndex,
    /**
     * The StockMarketIndexSummary model constructor.
     * @property {module:model/StockMarketIndexSummary}
     */
    StockMarketIndexSummary: StockMarketIndexSummary,
    /**
     * The StockPrice model constructor.
     * @property {module:model/StockPrice}
     */
    StockPrice: StockPrice,
    /**
     * The StockPriceAdjustment model constructor.
     * @property {module:model/StockPriceAdjustment}
     */
    StockPriceAdjustment: StockPriceAdjustment,
    /**
     * The StockPriceAdjustmentSummary model constructor.
     * @property {module:model/StockPriceAdjustmentSummary}
     */
    StockPriceAdjustmentSummary: StockPriceAdjustmentSummary,
    /**
     * The StockPriceInterval model constructor.
     * @property {module:model/StockPriceInterval}
     */
    StockPriceInterval: StockPriceInterval,
    /**
     * The StockPriceSummary model constructor.
     * @property {module:model/StockPriceSummary}
     */
    StockPriceSummary: StockPriceSummary,
    /**
     * The TechnicalIndicator model constructor.
     * @property {module:model/TechnicalIndicator}
     */
    TechnicalIndicator: TechnicalIndicator,
    /**
     * The TheaEntityAnswer model constructor.
     * @property {module:model/TheaEntityAnswer}
     */
    TheaEntityAnswer: TheaEntityAnswer,
    /**
     * The TheaSourceDocument model constructor.
     * @property {module:model/TheaSourceDocument}
     */
    TheaSourceDocument: TheaSourceDocument,
    /**
     * The TripleExponentialAverageTechnicalValue model constructor.
     * @property {module:model/TripleExponentialAverageTechnicalValue}
     */
    TripleExponentialAverageTechnicalValue: TripleExponentialAverageTechnicalValue,
    /**
     * The TrueStrengthIndexTechnicalValue model constructor.
     * @property {module:model/TrueStrengthIndexTechnicalValue}
     */
    TrueStrengthIndexTechnicalValue: TrueStrengthIndexTechnicalValue,
    /**
     * The UltimateOscillatorTechnicalValue model constructor.
     * @property {module:model/UltimateOscillatorTechnicalValue}
     */
    UltimateOscillatorTechnicalValue: UltimateOscillatorTechnicalValue,
    /**
     * The VolumePriceTrendTechnicalValue model constructor.
     * @property {module:model/VolumePriceTrendTechnicalValue}
     */
    VolumePriceTrendTechnicalValue: VolumePriceTrendTechnicalValue,
    /**
     * The VolumeWeightedAveragePriceValue model constructor.
     * @property {module:model/VolumeWeightedAveragePriceValue}
     */
    VolumeWeightedAveragePriceValue: VolumeWeightedAveragePriceValue,
    /**
     * The VortexIndicatorTechnicalValue model constructor.
     * @property {module:model/VortexIndicatorTechnicalValue}
     */
    VortexIndicatorTechnicalValue: VortexIndicatorTechnicalValue,
    /**
     * The WilliamsRTechnicalValue model constructor.
     * @property {module:model/WilliamsRTechnicalValue}
     */
    WilliamsRTechnicalValue: WilliamsRTechnicalValue,
    /**
     * The ZacksAnalystRating model constructor.
     * @property {module:model/ZacksAnalystRating}
     */
    ZacksAnalystRating: ZacksAnalystRating,
    /**
     * The ZacksAnalystRatingSnapshot model constructor.
     * @property {module:model/ZacksAnalystRatingSnapshot}
     */
    ZacksAnalystRatingSnapshot: ZacksAnalystRatingSnapshot,
    /**
     * The ZacksAnalystRatingSummary model constructor.
     * @property {module:model/ZacksAnalystRatingSummary}
     */
    ZacksAnalystRatingSummary: ZacksAnalystRatingSummary,
    /**
     * The ZacksEPSEstimate model constructor.
     * @property {module:model/ZacksEPSEstimate}
     */
    ZacksEPSEstimate: ZacksEPSEstimate,
    /**
     * The ZacksEPSGrowthRate model constructor.
     * @property {module:model/ZacksEPSGrowthRate}
     */
    ZacksEPSGrowthRate: ZacksEPSGrowthRate,
    /**
     * The ZacksEPSSurprise model constructor.
     * @property {module:model/ZacksEPSSurprise}
     */
    ZacksEPSSurprise: ZacksEPSSurprise,
    /**
     * The ZacksEPSSurpriseSummary model constructor.
     * @property {module:model/ZacksEPSSurpriseSummary}
     */
    ZacksEPSSurpriseSummary: ZacksEPSSurpriseSummary,
    /**
     * The ZacksETFHolding model constructor.
     * @property {module:model/ZacksETFHolding}
     */
    ZacksETFHolding: ZacksETFHolding,
    /**
     * The ZacksInstitutionalHolding model constructor.
     * @property {module:model/ZacksInstitutionalHolding}
     */
    ZacksInstitutionalHolding: ZacksInstitutionalHolding,
    /**
     * The ZacksInstitutionalHoldingCompanyDetail model constructor.
     * @property {module:model/ZacksInstitutionalHoldingCompanyDetail}
     */
    ZacksInstitutionalHoldingCompanyDetail: ZacksInstitutionalHoldingCompanyDetail,
    /**
     * The ZacksInstitutionalHoldingCompanySummary model constructor.
     * @property {module:model/ZacksInstitutionalHoldingCompanySummary}
     */
    ZacksInstitutionalHoldingCompanySummary: ZacksInstitutionalHoldingCompanySummary,
    /**
     * The ZacksInstitutionalHoldingHistoricalSummary model constructor.
     * @property {module:model/ZacksInstitutionalHoldingHistoricalSummary}
     */
    ZacksInstitutionalHoldingHistoricalSummary: ZacksInstitutionalHoldingHistoricalSummary,
    /**
     * The ZacksInstitutionalHoldingOwnerDetail model constructor.
     * @property {module:model/ZacksInstitutionalHoldingOwnerDetail}
     */
    ZacksInstitutionalHoldingOwnerDetail: ZacksInstitutionalHoldingOwnerDetail,
    /**
     * The ZacksInstitutionalHoldingOwnerSummary model constructor.
     * @property {module:model/ZacksInstitutionalHoldingOwnerSummary}
     */
    ZacksInstitutionalHoldingOwnerSummary: ZacksInstitutionalHoldingOwnerSummary,
    /**
     * The ZacksLongTermGrowthRate model constructor.
     * @property {module:model/ZacksLongTermGrowthRate}
     */
    ZacksLongTermGrowthRate: ZacksLongTermGrowthRate,
    /**
     * The ZacksSalesSurprise model constructor.
     * @property {module:model/ZacksSalesSurprise}
     */
    ZacksSalesSurprise: ZacksSalesSurprise,
    /**
     * The ZacksSalesSurpriseSummary model constructor.
     * @property {module:model/ZacksSalesSurpriseSummary}
     */
    ZacksSalesSurpriseSummary: ZacksSalesSurpriseSummary,
    /**
     * The ZacksTargetPriceConsensus model constructor.
     * @property {module:model/ZacksTargetPriceConsensus}
     */
    ZacksTargetPriceConsensus: ZacksTargetPriceConsensus,
    /**
     * The BulkDownloadsApi service constructor.
     * @property {module:api/BulkDownloadsApi}
     */
    BulkDownloadsApi: BulkDownloadsApi,
    /**
     * The CompanyApi service constructor.
     * @property {module:api/CompanyApi}
     */
    CompanyApi: CompanyApi,
    /**
     * The DataPointApi service constructor.
     * @property {module:api/DataPointApi}
     */
    DataPointApi: DataPointApi,
    /**
     * The DataTagApi service constructor.
     * @property {module:api/DataTagApi}
     */
    DataTagApi: DataTagApi,
    /**
     * The ETFsApi service constructor.
     * @property {module:api/ETFsApi}
     */
    ETFsApi: ETFsApi,
    /**
     * The FilingApi service constructor.
     * @property {module:api/FilingApi}
     */
    FilingApi: FilingApi,
    /**
     * The ForexApi service constructor.
     * @property {module:api/ForexApi}
     */
    ForexApi: ForexApi,
    /**
     * The FundamentalsApi service constructor.
     * @property {module:api/FundamentalsApi}
     */
    FundamentalsApi: FundamentalsApi,
    /**
     * The HistoricalDataApi service constructor.
     * @property {module:api/HistoricalDataApi}
     */
    HistoricalDataApi: HistoricalDataApi,
    /**
     * The IndexApi service constructor.
     * @property {module:api/IndexApi}
     */
    IndexApi: IndexApi,
    /**
     * The InsiderTransactionFilingsApi service constructor.
     * @property {module:api/InsiderTransactionFilingsApi}
     */
    InsiderTransactionFilingsApi: InsiderTransactionFilingsApi,
    /**
     * The MunicipalityApi service constructor.
     * @property {module:api/MunicipalityApi}
     */
    MunicipalityApi: MunicipalityApi,
    /**
     * The OptionsApi service constructor.
     * @property {module:api/OptionsApi}
     */
    OptionsApi: OptionsApi,
    /**
     * The OwnersApi service constructor.
     * @property {module:api/OwnersApi}
     */
    OwnersApi: OwnersApi,
    /**
     * The SecurityApi service constructor.
     * @property {module:api/SecurityApi}
     */
    SecurityApi: SecurityApi,
    /**
     * The StockExchangeApi service constructor.
     * @property {module:api/StockExchangeApi}
     */
    StockExchangeApi: StockExchangeApi,
    /**
     * The TechnicalApi service constructor.
     * @property {module:api/TechnicalApi}
     */
    TechnicalApi: TechnicalApi,
    /**
     * The ZacksApi service constructor.
     * @property {module:api/ZacksApi}
     */
    ZacksApi: ZacksApi
  };

  return exports;
}));
