/**
 * Intrinio API
 * Welcome to the Intrinio API! Through our Financial Data Marketplace, we offer a wide selection of financial data feed APIs sourced by our own proprietary processes as well as from many data vendors. For a complete API request / response reference please view the [Intrinio API documentation](https://docs.intrinio.com/documentation/api_v2). If you need additional help in using the API, please visit the [Intrinio website](https://intrinio.com) and click on the chat icon in the lower right corner.
 *
 * OpenAPI spec version: 2.25.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: unset
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.intrinioSDK) {
      root.intrinioSDK = {};
    }
    root.intrinioSDK.ETF = factory(root.intrinioSDK.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';




  /**
   * The ETF model module.
   * @module model/ETF
   * @version 5.14.0
   */

  /**
   * Constructs a new <code>ETF</code>.
   * Exchange Traded Fund (ETF) including extensive metadata
   * @alias module:model/ETF
   * @class
   */
  var exports = function() {
    var _this = this;
























































































































  };

  /**
   * Constructs a <code>ETF</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/ETF} obj Optional instance to populate.
   * @return {module:model/ETF} The populated <code>ETF</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();

      if (data.hasOwnProperty('id')) {
        obj['id'] = ApiClient.convertToType(data['id'], 'String');
      }
      if (data.hasOwnProperty('name')) {
        obj['name'] = ApiClient.convertToType(data['name'], 'String');
      }
      if (data.hasOwnProperty('ticker')) {
        obj['ticker'] = ApiClient.convertToType(data['ticker'], 'String');
      }
      if (data.hasOwnProperty('figi_ticker')) {
        obj['figi_ticker'] = ApiClient.convertToType(data['figi_ticker'], 'String');
      }
      if (data.hasOwnProperty('ric')) {
        obj['ric'] = ApiClient.convertToType(data['ric'], 'String');
      }
      if (data.hasOwnProperty('isin')) {
        obj['isin'] = ApiClient.convertToType(data['isin'], 'String');
      }
      if (data.hasOwnProperty('sedol')) {
        obj['sedol'] = ApiClient.convertToType(data['sedol'], 'String');
      }
      if (data.hasOwnProperty('exchange_mic')) {
        obj['exchange_mic'] = ApiClient.convertToType(data['exchange_mic'], 'String');
      }
      if (data.hasOwnProperty('sponsor')) {
        obj['sponsor'] = ApiClient.convertToType(data['sponsor'], 'String');
      }
      if (data.hasOwnProperty('type')) {
        obj['type'] = ApiClient.convertToType(data['type'], 'String');
      }
      if (data.hasOwnProperty('description')) {
        obj['description'] = ApiClient.convertToType(data['description'], 'String');
      }
      if (data.hasOwnProperty('inception_date')) {
        obj['inception_date'] = ApiClient.convertToType(data['inception_date'], 'Date');
      }
      if (data.hasOwnProperty('data_change_date')) {
        obj['data_change_date'] = ApiClient.convertToType(data['data_change_date'], 'Date');
      }
      if (data.hasOwnProperty('close_date')) {
        obj['close_date'] = ApiClient.convertToType(data['close_date'], 'Date');
      }
      if (data.hasOwnProperty('is_live_listed')) {
        obj['is_live_listed'] = ApiClient.convertToType(data['is_live_listed'], 'Boolean');
      }
      if (data.hasOwnProperty('legal_structure')) {
        obj['legal_structure'] = ApiClient.convertToType(data['legal_structure'], 'String');
      }
      if (data.hasOwnProperty('intraday_nav_ticker')) {
        obj['intraday_nav_ticker'] = ApiClient.convertToType(data['intraday_nav_ticker'], 'String');
      }
      if (data.hasOwnProperty('primary_ticker')) {
        obj['primary_ticker'] = ApiClient.convertToType(data['primary_ticker'], 'String');
      }
      if (data.hasOwnProperty('primary_ticker_country_code')) {
        obj['primary_ticker_country_code'] = ApiClient.convertToType(data['primary_ticker_country_code'], 'String');
      }
      if (data.hasOwnProperty('primary_listing_region')) {
        obj['primary_listing_region'] = ApiClient.convertToType(data['primary_listing_region'], 'String');
      }
      if (data.hasOwnProperty('net_expense_ratio')) {
        obj['net_expense_ratio'] = ApiClient.convertToType(data['net_expense_ratio'], 'Number');
      }
      if (data.hasOwnProperty('asset_class')) {
        obj['asset_class'] = ApiClient.convertToType(data['asset_class'], 'String');
      }
      if (data.hasOwnProperty('other_asset_types')) {
        obj['other_asset_types'] = ApiClient.convertToType(data['other_asset_types'], 'String');
      }
      if (data.hasOwnProperty('market_cap_range')) {
        obj['market_cap_range'] = ApiClient.convertToType(data['market_cap_range'], 'String');
      }
      if (data.hasOwnProperty('holds_only_nyse_stocks')) {
        obj['holds_only_nyse_stocks'] = ApiClient.convertToType(data['holds_only_nyse_stocks'], 'Boolean');
      }
      if (data.hasOwnProperty('holds_only_nasdaq_stocks')) {
        obj['holds_only_nasdaq_stocks'] = ApiClient.convertToType(data['holds_only_nasdaq_stocks'], 'Boolean');
      }
      if (data.hasOwnProperty('growth_value_tilt')) {
        obj['growth_value_tilt'] = ApiClient.convertToType(data['growth_value_tilt'], 'String');
      }
      if (data.hasOwnProperty('growth_type')) {
        obj['growth_type'] = ApiClient.convertToType(data['growth_type'], 'String');
      }
      if (data.hasOwnProperty('value_type')) {
        obj['value_type'] = ApiClient.convertToType(data['value_type'], 'String');
      }
      if (data.hasOwnProperty('sector')) {
        obj['sector'] = ApiClient.convertToType(data['sector'], 'String');
      }
      if (data.hasOwnProperty('industry')) {
        obj['industry'] = ApiClient.convertToType(data['industry'], 'String');
      }
      if (data.hasOwnProperty('sub_industry')) {
        obj['sub_industry'] = ApiClient.convertToType(data['sub_industry'], 'String');
      }
      if (data.hasOwnProperty('cross_sector_theme')) {
        obj['cross_sector_theme'] = ApiClient.convertToType(data['cross_sector_theme'], 'String');
      }
      if (data.hasOwnProperty('natural_resources_type')) {
        obj['natural_resources_type'] = ApiClient.convertToType(data['natural_resources_type'], 'String');
      }
      if (data.hasOwnProperty('excludes_financials')) {
        obj['excludes_financials'] = ApiClient.convertToType(data['excludes_financials'], 'Boolean');
      }
      if (data.hasOwnProperty('excludes_technology')) {
        obj['excludes_technology'] = ApiClient.convertToType(data['excludes_technology'], 'Boolean');
      }
      if (data.hasOwnProperty('us_or_excludes_us')) {
        obj['us_or_excludes_us'] = ApiClient.convertToType(data['us_or_excludes_us'], 'String');
      }
      if (data.hasOwnProperty('developed_emerging')) {
        obj['developed_emerging'] = ApiClient.convertToType(data['developed_emerging'], 'String');
      }
      if (data.hasOwnProperty('specialized_region')) {
        obj['specialized_region'] = ApiClient.convertToType(data['specialized_region'], 'String');
      }
      if (data.hasOwnProperty('continent')) {
        obj['continent'] = ApiClient.convertToType(data['continent'], 'String');
      }
      if (data.hasOwnProperty('latin_america_sub_group')) {
        obj['latin_america_sub_group'] = ApiClient.convertToType(data['latin_america_sub_group'], 'String');
      }
      if (data.hasOwnProperty('europe_sub_group')) {
        obj['europe_sub_group'] = ApiClient.convertToType(data['europe_sub_group'], 'String');
      }
      if (data.hasOwnProperty('asia_sub_group')) {
        obj['asia_sub_group'] = ApiClient.convertToType(data['asia_sub_group'], 'String');
      }
      if (data.hasOwnProperty('specific_country')) {
        obj['specific_country'] = ApiClient.convertToType(data['specific_country'], 'String');
      }
      if (data.hasOwnProperty('china_listing_location')) {
        obj['china_listing_location'] = ApiClient.convertToType(data['china_listing_location'], 'String');
      }
      if (data.hasOwnProperty('us_state')) {
        obj['us_state'] = ApiClient.convertToType(data['us_state'], 'String');
      }
      if (data.hasOwnProperty('real_estate')) {
        obj['real_estate'] = ApiClient.convertToType(data['real_estate'], 'String');
      }
      if (data.hasOwnProperty('index_weighting_scheme')) {
        obj['index_weighting_scheme'] = ApiClient.convertToType(data['index_weighting_scheme'], 'String');
      }
      if (data.hasOwnProperty('market_cap_weighting_type')) {
        obj['market_cap_weighting_type'] = ApiClient.convertToType(data['market_cap_weighting_type'], 'String');
      }
      if (data.hasOwnProperty('fundamental_weighting_type')) {
        obj['fundamental_weighting_type'] = ApiClient.convertToType(data['fundamental_weighting_type'], 'String');
      }
      if (data.hasOwnProperty('dividend_weighting_type')) {
        obj['dividend_weighting_type'] = ApiClient.convertToType(data['dividend_weighting_type'], 'String');
      }
      if (data.hasOwnProperty('bond_type')) {
        obj['bond_type'] = ApiClient.convertToType(data['bond_type'], 'String');
      }
      if (data.hasOwnProperty('government_bond_types')) {
        obj['government_bond_types'] = ApiClient.convertToType(data['government_bond_types'], 'String');
      }
      if (data.hasOwnProperty('municipal_bond_region')) {
        obj['municipal_bond_region'] = ApiClient.convertToType(data['municipal_bond_region'], 'String');
      }
      if (data.hasOwnProperty('municipal_vrdo')) {
        obj['municipal_vrdo'] = ApiClient.convertToType(data['municipal_vrdo'], 'Boolean');
      }
      if (data.hasOwnProperty('mortgage_bond_types')) {
        obj['mortgage_bond_types'] = ApiClient.convertToType(data['mortgage_bond_types'], 'String');
      }
      if (data.hasOwnProperty('bond_tax_status')) {
        obj['bond_tax_status'] = ApiClient.convertToType(data['bond_tax_status'], 'String');
      }
      if (data.hasOwnProperty('credit_quality')) {
        obj['credit_quality'] = ApiClient.convertToType(data['credit_quality'], 'String');
      }
      if (data.hasOwnProperty('average_maturity')) {
        obj['average_maturity'] = ApiClient.convertToType(data['average_maturity'], 'String');
      }
      if (data.hasOwnProperty('specific_maturity_year')) {
        obj['specific_maturity_year'] = ApiClient.convertToType(data['specific_maturity_year'], 'Number');
      }
      if (data.hasOwnProperty('bond_currency_denomination')) {
        obj['bond_currency_denomination'] = ApiClient.convertToType(data['bond_currency_denomination'], 'String');
      }
      if (data.hasOwnProperty('laddered')) {
        obj['laddered'] = ApiClient.convertToType(data['laddered'], 'Boolean');
      }
      if (data.hasOwnProperty('zero_coupon')) {
        obj['zero_coupon'] = ApiClient.convertToType(data['zero_coupon'], 'Boolean');
      }
      if (data.hasOwnProperty('floating_rate')) {
        obj['floating_rate'] = ApiClient.convertToType(data['floating_rate'], 'Boolean');
      }
      if (data.hasOwnProperty('build_america_bonds')) {
        obj['build_america_bonds'] = ApiClient.convertToType(data['build_america_bonds'], 'Boolean');
      }
      if (data.hasOwnProperty('commodity_types')) {
        obj['commodity_types'] = ApiClient.convertToType(data['commodity_types'], 'String');
      }
      if (data.hasOwnProperty('energy_type')) {
        obj['energy_type'] = ApiClient.convertToType(data['energy_type'], 'String');
      }
      if (data.hasOwnProperty('agricultural_type')) {
        obj['agricultural_type'] = ApiClient.convertToType(data['agricultural_type'], 'String');
      }
      if (data.hasOwnProperty('metal_type')) {
        obj['metal_type'] = ApiClient.convertToType(data['metal_type'], 'String');
      }
      if (data.hasOwnProperty('inverse_leveraged')) {
        obj['inverse_leveraged'] = ApiClient.convertToType(data['inverse_leveraged'], 'String');
      }
      if (data.hasOwnProperty('target_date_multi_asset_type')) {
        obj['target_date_multi_asset_type'] = ApiClient.convertToType(data['target_date_multi_asset_type'], 'String');
      }
      if (data.hasOwnProperty('currency_hedged')) {
        obj['currency_hedged'] = ApiClient.convertToType(data['currency_hedged'], 'Boolean');
      }
      if (data.hasOwnProperty('currency_pair')) {
        obj['currency_pair'] = ApiClient.convertToType(data['currency_pair'], 'String');
      }
      if (data.hasOwnProperty('social_environmental_type')) {
        obj['social_environmental_type'] = ApiClient.convertToType(data['social_environmental_type'], 'String');
      }
      if (data.hasOwnProperty('clean_energy_type')) {
        obj['clean_energy_type'] = ApiClient.convertToType(data['clean_energy_type'], 'String');
      }
      if (data.hasOwnProperty('dividend_type')) {
        obj['dividend_type'] = ApiClient.convertToType(data['dividend_type'], 'String');
      }
      if (data.hasOwnProperty('regular_dividend_payor_type')) {
        obj['regular_dividend_payor_type'] = ApiClient.convertToType(data['regular_dividend_payor_type'], 'String');
      }
      if (data.hasOwnProperty('holds_ml_ps')) {
        obj['holds_ml_ps'] = ApiClient.convertToType(data['holds_ml_ps'], 'Boolean');
      }
      if (data.hasOwnProperty('holds_preferred_stock')) {
        obj['holds_preferred_stock'] = ApiClient.convertToType(data['holds_preferred_stock'], 'Boolean');
      }
      if (data.hasOwnProperty('holds_closed_end_funds')) {
        obj['holds_closed_end_funds'] = ApiClient.convertToType(data['holds_closed_end_funds'], 'Boolean');
      }
      if (data.hasOwnProperty('quant_strategies_type')) {
        obj['quant_strategies_type'] = ApiClient.convertToType(data['quant_strategies_type'], 'String');
      }
      if (data.hasOwnProperty('other_quant_models')) {
        obj['other_quant_models'] = ApiClient.convertToType(data['other_quant_models'], 'String');
      }
      if (data.hasOwnProperty('hedge_fund_type')) {
        obj['hedge_fund_type'] = ApiClient.convertToType(data['hedge_fund_type'], 'String');
      }
      if (data.hasOwnProperty('derivatives_based')) {
        obj['derivatives_based'] = ApiClient.convertToType(data['derivatives_based'], 'String');
      }
      if (data.hasOwnProperty('holds_ad_rs')) {
        obj['holds_ad_rs'] = ApiClient.convertToType(data['holds_ad_rs'], 'Boolean');
      }
      if (data.hasOwnProperty('index_linked')) {
        obj['index_linked'] = ApiClient.convertToType(data['index_linked'], 'String');
      }
      if (data.hasOwnProperty('includes_short_exposure')) {
        obj['includes_short_exposure'] = ApiClient.convertToType(data['includes_short_exposure'], 'Boolean');
      }
      if (data.hasOwnProperty('index_name')) {
        obj['index_name'] = ApiClient.convertToType(data['index_name'], 'String');
      }
      if (data.hasOwnProperty('parent_index')) {
        obj['parent_index'] = ApiClient.convertToType(data['parent_index'], 'String');
      }
      if (data.hasOwnProperty('index_family')) {
        obj['index_family'] = ApiClient.convertToType(data['index_family'], 'String');
      }
      if (data.hasOwnProperty('broader_index_family')) {
        obj['broader_index_family'] = ApiClient.convertToType(data['broader_index_family'], 'String');
      }
      if (data.hasOwnProperty('index_provider')) {
        obj['index_provider'] = ApiClient.convertToType(data['index_provider'], 'String');
      }
      if (data.hasOwnProperty('fund_family')) {
        obj['fund_family'] = ApiClient.convertToType(data['fund_family'], 'String');
      }
      if (data.hasOwnProperty('index_ticker')) {
        obj['index_ticker'] = ApiClient.convertToType(data['index_ticker'], 'String');
      }
      if (data.hasOwnProperty('etn_issuing_bank')) {
        obj['etn_issuing_bank'] = ApiClient.convertToType(data['etn_issuing_bank'], 'String');
      }
      if (data.hasOwnProperty('etn_maturity_date')) {
        obj['etn_maturity_date'] = ApiClient.convertToType(data['etn_maturity_date'], 'Date');
      }
      if (data.hasOwnProperty('livestock')) {
        obj['livestock'] = ApiClient.convertToType(data['livestock'], 'String');
      }
      if (data.hasOwnProperty('dynamic_futures_roll')) {
        obj['dynamic_futures_roll'] = ApiClient.convertToType(data['dynamic_futures_roll'], 'Boolean');
      }
      if (data.hasOwnProperty('index_provider_code')) {
        obj['index_provider_code'] = ApiClient.convertToType(data['index_provider_code'], 'String');
      }
      if (data.hasOwnProperty('single_category_designation')) {
        obj['single_category_designation'] = ApiClient.convertToType(data['single_category_designation'], 'String');
      }
      if (data.hasOwnProperty('registered_countries')) {
        obj['registered_countries'] = ApiClient.convertToType(data['registered_countries'], 'String');
      }
      if (data.hasOwnProperty('issuing_entity_country_code')) {
        obj['issuing_entity_country_code'] = ApiClient.convertToType(data['issuing_entity_country_code'], 'String');
      }
      if (data.hasOwnProperty('ucits')) {
        obj['ucits'] = ApiClient.convertToType(data['ucits'], 'Boolean');
      }
      if (data.hasOwnProperty('replication_structure')) {
        obj['replication_structure'] = ApiClient.convertToType(data['replication_structure'], 'String');
      }
      if (data.hasOwnProperty('domicile')) {
        obj['domicile'] = ApiClient.convertToType(data['domicile'], 'String');
      }
      if (data.hasOwnProperty('base_currency')) {
        obj['base_currency'] = ApiClient.convertToType(data['base_currency'], 'String');
      }
      if (data.hasOwnProperty('listing_currency')) {
        obj['listing_currency'] = ApiClient.convertToType(data['listing_currency'], 'String');
      }
      if (data.hasOwnProperty('fund_listing_date')) {
        obj['fund_listing_date'] = ApiClient.convertToType(data['fund_listing_date'], 'Date');
      }
      if (data.hasOwnProperty('listing_country_code')) {
        obj['listing_country_code'] = ApiClient.convertToType(data['listing_country_code'], 'String');
      }
      if (data.hasOwnProperty('listing_region')) {
        obj['listing_region'] = ApiClient.convertToType(data['listing_region'], 'String');
      }
      if (data.hasOwnProperty('smartvs_traditional_beta')) {
        obj['smartvs_traditional_beta'] = ApiClient.convertToType(data['smartvs_traditional_beta'], 'String');
      }
      if (data.hasOwnProperty('smartvs_traditional_beta_level2')) {
        obj['smartvs_traditional_beta_level2'] = ApiClient.convertToType(data['smartvs_traditional_beta_level2'], 'String');
      }
      if (data.hasOwnProperty('income_category')) {
        obj['income_category'] = ApiClient.convertToType(data['income_category'], 'String');
      }
      if (data.hasOwnProperty('etp_structure_type')) {
        obj['etp_structure_type'] = ApiClient.convertToType(data['etp_structure_type'], 'String');
      }
      if (data.hasOwnProperty('month_end_assets')) {
        obj['month_end_assets'] = ApiClient.convertToType(data['month_end_assets'], 'Number');
      }
      if (data.hasOwnProperty('etf_portfolio_turnover')) {
        obj['etf_portfolio_turnover'] = ApiClient.convertToType(data['etf_portfolio_turnover'], 'Number');
      }
      if (data.hasOwnProperty('firstbridge_id')) {
        obj['firstbridge_id'] = ApiClient.convertToType(data['firstbridge_id'], 'String');
      }
      if (data.hasOwnProperty('firstbridge_parent_id')) {
        obj['firstbridge_parent_id'] = ApiClient.convertToType(data['firstbridge_parent_id'], 'String');
      }
      if (data.hasOwnProperty('number_of_holdings')) {
        obj['number_of_holdings'] = ApiClient.convertToType(data['number_of_holdings'], 'Number');
      }
    }
    return obj;
  }

  /**
   * The Intrinio ID of the ETF
   * @member {String} id
   */
  exports.prototype['id'] = undefined;
  /**
   * The common name of the ETF
   * @member {String} name
   */
  exports.prototype['name'] = undefined;
  /**
   * The common ticker symbol for the ETF
   * @member {String} ticker
   */
  exports.prototype['ticker'] = undefined;
  /**
   * The OpenFIGI ticker for the ETF
   * @member {String} figi_ticker
   */
  exports.prototype['figi_ticker'] = undefined;
  /**
   * Reuters Instrument Code (RIC) for the ETF
   * @member {String} ric
   */
  exports.prototype['ric'] = undefined;
  /**
   * International Securities Identification Number (ISIN) for the ETF
   * @member {String} isin
   */
  exports.prototype['isin'] = undefined;
  /**
   * Stock Exchange Daily Official List (SEDOL) for the ETF
   * @member {String} sedol
   */
  exports.prototype['sedol'] = undefined;
  /**
   * The exchange Market Identifier Code (MIC) from the International Standards Organization (ISO)
   * @member {String} exchange_mic
   */
  exports.prototype['exchange_mic'] = undefined;
  /**
   * The fund manager (ETF) or issuing bank (ETN)
   * @member {String} sponsor
   */
  exports.prototype['sponsor'] = undefined;
  /**
   * High-level classification for the ETF based on its intended investment objective
   * @member {String} type
   */
  exports.prototype['type'] = undefined;
  /**
   * The ETF description as published by the ETF sponsor
   * @member {String} description
   */
  exports.prototype['description'] = undefined;
  /**
   * Inception Date for the ETF as published by the ETF sponsor
   * @member {Date} inception_date
   */
  exports.prototype['inception_date'] = undefined;
  /**
   * The last date on which there was a change in a classifications data field for this ETF
   * @member {Date} data_change_date
   */
  exports.prototype['data_change_date'] = undefined;
  /**
   * The date on which this ETF was de-listed if it is no longer listed
   * @member {Date} close_date
   */
  exports.prototype['close_date'] = undefined;
  /**
   * If true, the ETF is still listed on an exchange; if false, the ETF is no longer listed
   * @member {Boolean} is_live_listed
   */
  exports.prototype['is_live_listed'] = undefined;
  /**
   * The legal structure as defined in the prospectus
   * @member {String} legal_structure
   */
  exports.prototype['legal_structure'] = undefined;
  /**
   * Intra-day NAV ticker for the Exchange Traded Fund (ETF)
   * @member {String} intraday_nav_ticker
   */
  exports.prototype['intraday_nav_ticker'] = undefined;
  /**
   * The primary ticker field is used for Exchange Traded Products (ETPs) that have multiple listings and share classes. If an ETP has multiple listings or share classes, the same primary ticker is assigned to all the listings and share classes
   * @member {String} primary_ticker
   */
  exports.prototype['primary_ticker'] = undefined;
  /**
   * 2 letter ISO country code for the country of the primary listing
   * @member {String} primary_ticker_country_code
   */
  exports.prototype['primary_ticker_country_code'] = undefined;
  /**
   * Geographic region in the country of the primary listing falls
   * @member {String} primary_listing_region
   */
  exports.prototype['primary_listing_region'] = undefined;
  /**
   * Gross expense net of Fee Waivers, as a percentage of net assets as published by the ETF Sponsor
   * @member {Number} net_expense_ratio
   */
  exports.prototype['net_expense_ratio'] = undefined;
  /**
   * Captures the underlying nature of the securities in the Exchanged Traded Product (ETP)
   * @member {String} asset_class
   */
  exports.prototype['asset_class'] = undefined;
  /**
   * If 'asset_class' field is classified as 'Other Asset Types' this field captures the specific category of the underlying assets
   * @member {String} other_asset_types
   */
  exports.prototype['other_asset_types'] = undefined;
  /**
   * Equity ETFs are classified as falling into categories based on the description of their investment strategy in the prospectus.  Examples ('Mega Cap', 'Large Cap', 'Mid Cap', etc.)
   * @member {String} market_cap_range
   */
  exports.prototype['market_cap_range'] = undefined;
  /**
   * If true, the ETF is an equity ETF and holds only stocks listed on NYSE
   * @member {Boolean} holds_only_nyse_stocks
   */
  exports.prototype['holds_only_nyse_stocks'] = undefined;
  /**
   * If false, the ETF is an equity ETF and holds only stocks listed on Nasdaq
   * @member {Boolean} holds_only_nasdaq_stocks
   */
  exports.prototype['holds_only_nasdaq_stocks'] = undefined;
  /**
   * Classifies equity ETFs as either 'Growth' or Value' based on the stated style tilt in the ETF prospectus. Equity ETFs that do not have a stated style tilt are classified as 'Core / Blend'
   * @member {String} growth_value_tilt
   */
  exports.prototype['growth_value_tilt'] = undefined;
  /**
   * For ETFs that are classified as 'Growth' in 'growth_value_tilt', this field further identifies those where the stocks in the ETF are both selected and weighted based on their growth (style factor) scores
   * @member {String} growth_type
   */
  exports.prototype['growth_type'] = undefined;
  /**
   * For ETFs that are classified as 'Value' in 'growth_value_tilt', this field further identifies those where the stocks in the ETF are both selected and weighted based on their value (style factor) scores
   * @member {String} value_type
   */
  exports.prototype['value_type'] = undefined;
  /**
   * For equity ETFs that aim to provide targeted exposure to a sector or industry, this field identifies the Sector that it provides the exposure to
   * @member {String} sector
   */
  exports.prototype['sector'] = undefined;
  /**
   * For equity ETFs that aim to provide targeted exposure to an industry, this field identifies the Industry that it provides the exposure to.
   * @member {String} industry
   */
  exports.prototype['industry'] = undefined;
  /**
   * For equity ETFs that aim to provide targeted exposure to a sub-industry, this field identifies the sub-industry that it provides the exposure to
   * @member {String} sub_industry
   */
  exports.prototype['sub_industry'] = undefined;
  /**
   * For equity ETFs that aim to provide targeted exposure to a specific investment theme that cuts across GICS sectors, this field identifies the specific cross-sector theme.  Examples ('Agri-business', 'Natural Resources', 'Green Investing', etc.)
   * @member {String} cross_sector_theme
   */
  exports.prototype['cross_sector_theme'] = undefined;
  /**
   * For ETFs that are classified as 'Natural Resources' in the 'cross_sector_theme' field, this field provides further detail on the type of Natural Resources exposure.
   * @member {String} natural_resources_type
   */
  exports.prototype['natural_resources_type'] = undefined;
  /**
   * For equity ETFs, identifies those ETFs where the underlying fund holdings will not hold financials stocks, based on the funds intended objective
   * @member {Boolean} excludes_financials
   */
  exports.prototype['excludes_financials'] = undefined;
  /**
   * For equity ETFs, identifies those ETFs where the underlying fund holdings will not hold technology stocks, based on the funds intended objective
   * @member {Boolean} excludes_technology
   */
  exports.prototype['excludes_technology'] = undefined;
  /**
   * Takes the value of 'Domestic' for US exposure, 'International' for non-US exposure and 'Global' for exposure that includes all regions including the US
   * @member {String} us_or_excludes_us
   */
  exports.prototype['us_or_excludes_us'] = undefined;
  /**
   * This field identifies the stage of development of the markets that the ETF provides exposure to
   * @member {String} developed_emerging
   */
  exports.prototype['developed_emerging'] = undefined;
  /**
   * This field is populated if the ETF provides targeted exposure to a specific type of geography-based grouping that does not fall into a specific country or continent grouping.  Examples ('BRIC', 'Chindia', etc.)
   * @member {String} specialized_region
   */
  exports.prototype['specialized_region'] = undefined;
  /**
   * This field is populated if the ETF provides targeted exposure to a specific continent or country within that Continent
   * @member {String} continent
   */
  exports.prototype['continent'] = undefined;
  /**
   * For ETFs that are classified as 'Latin America' in the 'continent' field, this field provides further detail on the type of regional exposure
   * @member {String} latin_america_sub_group
   */
  exports.prototype['latin_america_sub_group'] = undefined;
  /**
   * For ETFs that are classified as 'Europe' in the 'continent' field, this field provides further detail on the type of regional exposure
   * @member {String} europe_sub_group
   */
  exports.prototype['europe_sub_group'] = undefined;
  /**
   * For ETFs that are classified as 'Asia' in the 'continent' field, this field provides further detail on the type of regional exposure
   * @member {String} asia_sub_group
   */
  exports.prototype['asia_sub_group'] = undefined;
  /**
   * This field is populated if the ETF provides targeted exposure to a specific country
   * @member {String} specific_country
   */
  exports.prototype['specific_country'] = undefined;
  /**
   * For ETFs that are classified as 'China' in the 'country' field, this field provides further detail on the type of exposure in the underlying securities
   * @member {String} china_listing_location
   */
  exports.prototype['china_listing_location'] = undefined;
  /**
   * Takes the value of a US state if the ETF provides targeted exposure to the municipal bonds or equities of companies operating in a specific state in the US
   * @member {String} us_state
   */
  exports.prototype['us_state'] = undefined;
  /**
   * For ETFs that provide targeted real estate exposure, this field is populated if the ETF provides targeted exposure to a specific segment of the real estate market
   * @member {String} real_estate
   */
  exports.prototype['real_estate'] = undefined;
  /**
   * For ETFs that track an underlying index, this field provides detail on the index weighting type
   * @member {String} index_weighting_scheme
   */
  exports.prototype['index_weighting_scheme'] = undefined;
  /**
   * For ETFs that take the value 'Market Cap Weighted' in the 'index_weighting_scheme' field, this field provides detail on the market cap weighting type
   * @member {String} market_cap_weighting_type
   */
  exports.prototype['market_cap_weighting_type'] = undefined;
  /**
   * For ETFs that take the value ‘Fundamental Weighted’ in the 'index_weighting_scheme' field, this field provides detail on the fundamental weighting methodology
   * @member {String} fundamental_weighting_type
   */
  exports.prototype['fundamental_weighting_type'] = undefined;
  /**
   * For ETFs that take the value 'Dividend Weighted' in the 'index_weighting_scheme' field, this field provides detail on the dividend weighting methodology
   * @member {String} dividend_weighting_type
   */
  exports.prototype['dividend_weighting_type'] = undefined;
  /**
   * For ETFs where 'asset_class_type' is 'Bonds', this field provides detail on the type of bonds held in the ETF
   * @member {String} bond_type
   */
  exports.prototype['bond_type'] = undefined;
  /**
   * For bond ETFs that take the value 'Treasury & Government' in 'bond_type', this field provides detail on the exposure
   * @member {String} government_bond_types
   */
  exports.prototype['government_bond_types'] = undefined;
  /**
   * For bond ETFs that take the value 'Municipal' in 'bond_type', this field provides additional detail on the geographic exposure
   * @member {String} municipal_bond_region
   */
  exports.prototype['municipal_bond_region'] = undefined;
  /**
   * For bond ETFs that take the value 'Municipal' in 'bond_type', this field identifies those ETFs that specifically provide exposure to Variable Rate Demand Obligations
   * @member {Boolean} municipal_vrdo
   */
  exports.prototype['municipal_vrdo'] = undefined;
  /**
   * For bond ETFs that take the value 'Mortgage' in 'bond_type', this field provides additional detail on the type of underlying securities
   * @member {String} mortgage_bond_types
   */
  exports.prototype['mortgage_bond_types'] = undefined;
  /**
   * For all US bond ETFs, this field provides additional detail on the tax treatment of the underlying securities
   * @member {String} bond_tax_status
   */
  exports.prototype['bond_tax_status'] = undefined;
  /**
   * For all bond ETFs, this field helps to identify if the ETF provides targeted exposure to securities of a specific credit quality range
   * @member {String} credit_quality
   */
  exports.prototype['credit_quality'] = undefined;
  /**
   * For all bond ETFs, this field helps to identify if the ETF provides targeted exposure to securities of a specific maturity range
   * @member {String} average_maturity
   */
  exports.prototype['average_maturity'] = undefined;
  /**
   * For all bond ETFs that take the value 'Specific Maturity Year' in the 'average_maturity' field, this field specifies the calendar year
   * @member {Number} specific_maturity_year
   */
  exports.prototype['specific_maturity_year'] = undefined;
  /**
   * For all bond ETFs, this field provides additional detail on the currency denomination of the underlying securities
   * @member {String} bond_currency_denomination
   */
  exports.prototype['bond_currency_denomination'] = undefined;
  /**
   * For bond ETFs, this field identifies those ETFs that specifically hold bonds in a laddered structure, where the bonds are scheduled to mature in an annual, sequential structure
   * @member {Boolean} laddered
   */
  exports.prototype['laddered'] = undefined;
  /**
   * For bond ETFs, this field identifies those ETFs that specifically hold zero coupon Treasury Bills
   * @member {Boolean} zero_coupon
   */
  exports.prototype['zero_coupon'] = undefined;
  /**
   * For bond ETFs, this field identifies those ETFs that specifically hold floating rate bonds
   * @member {Boolean} floating_rate
   */
  exports.prototype['floating_rate'] = undefined;
  /**
   * For municipal bond ETFs, this field identifies those ETFs that specifically hold Build America Bonds
   * @member {Boolean} build_america_bonds
   */
  exports.prototype['build_america_bonds'] = undefined;
  /**
   * For ETFs where 'asset_class_type' is 'Commodities', this field provides detail on the type of commodities held in the ETF
   * @member {String} commodity_types
   */
  exports.prototype['commodity_types'] = undefined;
  /**
   * For ETFs where 'commodity_type' is 'Energy', this field provides detail on the type of energy exposure provided by the ETF
   * @member {String} energy_type
   */
  exports.prototype['energy_type'] = undefined;
  /**
   * For ETFs where 'commodity_type' is 'Agricultural', this field provides detail on the type of agricultural exposure provided by the ETF
   * @member {String} agricultural_type
   */
  exports.prototype['agricultural_type'] = undefined;
  /**
   * For ETFs where 'commodity_type' is 'Gold & Metals', this field provides detail on the type of exposure provided by the ETF
   * @member {String} metal_type
   */
  exports.prototype['metal_type'] = undefined;
  /**
   * This field is populated if the ETF provides inverse or leveraged exposure
   * @member {String} inverse_leveraged
   */
  exports.prototype['inverse_leveraged'] = undefined;
  /**
   * For ETFs where 'asset_class_type' is 'Target Date / MultiAsset', this field provides detail on the type of commodities held in the ETF
   * @member {String} target_date_multi_asset_type
   */
  exports.prototype['target_date_multi_asset_type'] = undefined;
  /**
   * This field is populated if the ETF’s strategy involves hedging currency exposure
   * @member {Boolean} currency_hedged
   */
  exports.prototype['currency_hedged'] = undefined;
  /**
   * This field is populated if the ETF’s strategy involves providing exposure to the movements of a currency or involves hedging currency exposure
   * @member {String} currency_pair
   */
  exports.prototype['currency_pair'] = undefined;
  /**
   * This field is populated if the ETF’s strategy involves providing exposure to a specific social or environmental theme
   * @member {String} social_environmental_type
   */
  exports.prototype['social_environmental_type'] = undefined;
  /**
   * This field is populated if the ETF has a value of 'Clean Energy' in the 'social_environmental_type' field.
   * @member {String} clean_energy_type
   */
  exports.prototype['clean_energy_type'] = undefined;
  /**
   * This field is populated if the ETF has an intended investment objective of holding dividend-oriented stocks as stated in the prospectus
   * @member {String} dividend_type
   */
  exports.prototype['dividend_type'] = undefined;
  /**
   * This field is populated if the ETF has a value of 'Dividend – Regular Payors' in the 'dividend_type' field
   * @member {String} regular_dividend_payor_type
   */
  exports.prototype['regular_dividend_payor_type'] = undefined;
  /**
   * If true, the ETF’s investment objective explicitly specifies that it holds MLPs as an intended part of its investment strategy
   * @member {Boolean} holds_ml_ps
   */
  exports.prototype['holds_ml_ps'] = undefined;
  /**
   * If true, the ETF’s investment objective explicitly specifies that it holds preferred stock as an intended part of its investment strategy
   * @member {Boolean} holds_preferred_stock
   */
  exports.prototype['holds_preferred_stock'] = undefined;
  /**
   * IF true, if the ETF’s investment objective explicitly specifies that it holds closed end funds as an intended part of its investment strategy
   * @member {Boolean} holds_closed_end_funds
   */
  exports.prototype['holds_closed_end_funds'] = undefined;
  /**
   * This field is populated if the ETF has either an index-linked or active strategy that is based on a proprietary quantitative strategy
   * @member {String} quant_strategies_type
   */
  exports.prototype['quant_strategies_type'] = undefined;
  /**
   * For ETFs where 'quant_strategies_type' is 'Other Quant Model', this field provides the name of the specific proprietary quant model used as the underlying strategy for the ETF
   * @member {String} other_quant_models
   */
  exports.prototype['other_quant_models'] = undefined;
  /**
   * For ETFs where 'other_asset_types' is 'Hedge Fund Replication', this field provides detail on the type of hedge fund replication strategy
   * @member {String} hedge_fund_type
   */
  exports.prototype['hedge_fund_type'] = undefined;
  /**
   * This field is populated if the ETF holds either listed or over-the-counter derivatives in its portfolio
   * @member {String} derivatives_based
   */
  exports.prototype['derivatives_based'] = undefined;
  /**
   * If true, he ETF’s investment objective explicitly specifies that it holds American Depositary Receipts (ADRs) as an intended part of its investment strategy
   * @member {Boolean} holds_ad_rs
   */
  exports.prototype['holds_ad_rs'] = undefined;
  /**
   * This field identifies whether an ETF is index linked or active
   * @member {String} index_linked
   */
  exports.prototype['index_linked'] = undefined;
  /**
   * This field is populated if the ETF has short exposure in any of its holdings e.g. in a long/short or inverse ETF
   * @member {Boolean} includes_short_exposure
   */
  exports.prototype['includes_short_exposure'] = undefined;
  /**
   * This field identifies the name of the underlying index tracked by the ETF, if applicable
   * @member {String} index_name
   */
  exports.prototype['index_name'] = undefined;
  /**
   * This field identifies the name of the parent index, which represents the broader universe from which the index underlying the ETF is created, if applicable
   * @member {String} parent_index
   */
  exports.prototype['parent_index'] = undefined;
  /**
   * This field identifies the index family to which the index underlying the ETF belongs. The index family is represented as categorized by the index provider
   * @member {String} index_family
   */
  exports.prototype['index_family'] = undefined;
  /**
   * This field identifies the broader index family to which the index underlying the ETF belongs. The broader index family is represented as categorized by the index provider
   * @member {String} broader_index_family
   */
  exports.prototype['broader_index_family'] = undefined;
  /**
   * This field identifies the Index provider for the index underlying the ETF, if applicable
   * @member {String} index_provider
   */
  exports.prototype['index_provider'] = undefined;
  /**
   * This field identifies the fund family to which the ETF belongs, as categorized by the ETF Sponsor
   * @member {String} fund_family
   */
  exports.prototype['fund_family'] = undefined;
  /**
   * This field identifies the OpenFIGI ticker for the Index underlying the ETF
   * @member {String} index_ticker
   */
  exports.prototype['index_ticker'] = undefined;
  /**
   * If the product is an Exchange Traded Note (ETN), this field identifies the issuing bank
   * @member {String} etn_issuing_bank
   */
  exports.prototype['etn_issuing_bank'] = undefined;
  /**
   * If the product is an ETN, this field identifies the maturity date for the ETN
   * @member {Date} etn_maturity_date
   */
  exports.prototype['etn_maturity_date'] = undefined;
  /**
   * For ETFs where 'commodity_type' is 'Livestock', this field provides detail on the type of livestock exposure provided by the ETF
   * @member {String} livestock
   */
  exports.prototype['livestock'] = undefined;
  /**
   * If the product holds futures contracts, this field identifies those products where the roll strategy is dynamic (rather than entirely rules based), so as to minimize roll costs
   * @member {Boolean} dynamic_futures_roll
   */
  exports.prototype['dynamic_futures_roll'] = undefined;
  /**
   * This field provides the First Bridge code for each Index provider, corresponding to the index underlying the ETF if applicable
   * @member {String} index_provider_code
   */
  exports.prototype['index_provider_code'] = undefined;
  /**
   * This categorization is created for those users who want every ETF to be ‘forced’ into a single bucket, so that the assets for all categories will always sum to the total market
   * @member {String} single_category_designation
   */
  exports.prototype['single_category_designation'] = undefined;
  /**
   * The list of countries where the ETF is legally registered for sale. This may differ from where the ETF is domiciled or traded, particularly in Europe
   * @member {String} registered_countries
   */
  exports.prototype['registered_countries'] = undefined;
  /**
   * The name of the legal entity that issued the Exchange Traded Product (ETP)
   * @member {String} issuing_entity_country_code
   */
  exports.prototype['issuing_entity_country_code'] = undefined;
  /**
   * If true, the Exchange Traded Product (ETP) is Undertakings for the Collective Investment in Transferable Securities (UCITS) compliant
   * @member {Boolean} ucits
   */
  exports.prototype['ucits'] = undefined;
  /**
   * The replication structure of the Exchange Traded Product (ETP)
   * @member {String} replication_structure
   */
  exports.prototype['replication_structure'] = undefined;
  /**
   * 2 letter ISO country code for the country where the ETP is domiciled
   * @member {String} domicile
   */
  exports.prototype['domicile'] = undefined;
  /**
   * Base currency of the Exchange Traded Product (ETP) in which the net asset value (NAV) is calculated. Reported using the 3-digit ISO currency code
   * @member {String} base_currency
   */
  exports.prototype['base_currency'] = undefined;
  /**
   * Listing currency of the Exchange Traded Product (ETP) in which it is traded. Reported using the 3-digit ISO currency code
   * @member {String} listing_currency
   */
  exports.prototype['listing_currency'] = undefined;
  /**
   * The date on which the Exchange Traded Product (ETP) or share class of the ETP is listed on a specific exchange
   * @member {Date} fund_listing_date
   */
  exports.prototype['fund_listing_date'] = undefined;
  /**
   * 2 letter ISO country code for the country where the Exchange Traded Product (ETP) is listed
   * @member {String} listing_country_code
   */
  exports.prototype['listing_country_code'] = undefined;
  /**
   * The region in which this specific ETF is listed
   * @member {String} listing_region
   */
  exports.prototype['listing_region'] = undefined;
  /**
   * This field identifies whether an ETF provides 'Traditional' beta exposure or 'Smart' beta exposure. ETFs that are active (i.e. non-indexed), leveraged / inverse or have a proprietary quant model (i.e. that don’t provide indexed exposure to a targeted factor) are classified separately
   * @member {String} smartvs_traditional_beta
   */
  exports.prototype['smartvs_traditional_beta'] = undefined;
  /**
   * This field provides further detail within the traditional and smart beta categories
   * @member {String} smartvs_traditional_beta_level2
   */
  exports.prototype['smartvs_traditional_beta_level2'] = undefined;
  /**
   * Identifies if an Exchange Traded Fund (ETF) falls into a category that is specifically designed to provide a high yield or income
   * @member {String} income_category
   */
  exports.prototype['income_category'] = undefined;
  /**
   * Classifies Exchange Traded Products (ETPs) into very broad categories based on its legal structure
   * @member {String} etp_structure_type
   */
  exports.prototype['etp_structure_type'] = undefined;
  /**
   * Net assets in millions of dollars as of the most recent month end
   * @member {Number} month_end_assets
   */
  exports.prototype['month_end_assets'] = undefined;
  /**
   * The percentage of positions turned over in the last 12 months
   * @member {Number} etf_portfolio_turnover
   */
  exports.prototype['etf_portfolio_turnover'] = undefined;
  /**
   * The FirstBridge unique identifier for the Exchange Traded Fund (ETF)
   * @member {String} firstbridge_id
   */
  exports.prototype['firstbridge_id'] = undefined;
  /**
   * The FirstBridge unique identifier of the parent Exchange Traded Fund (ETF), if applicable
   * @member {String} firstbridge_parent_id
   */
  exports.prototype['firstbridge_parent_id'] = undefined;
  /**
   * The number of holdings for this Exchange Traded Fund (ETF)
   * @member {Number} number_of_holdings
   */
  exports.prototype['number_of_holdings'] = undefined;



  return exports;
}));


